<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// 不正アクセスチェック
	require_once 'cms_access_check.php';
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$_SESSION["upload_name_slide"] 	= NULL;	// 初期化
	$_SESSION["slide"] 				= NULL;	// 初期化
	$_SESSION["slide2_page_id"]		= 0;	// 初期化
	$_SESSION["setmsg"]				= NULL;	// 初期化
	$contents_mng = true;
	// indexページのbtn_id（menubuttonテーブルのレコードID)を取得
	$sql = "SELECT * FROM menubutton where orderno = 11";						// メニューボタンが存在することが前提
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($rowi = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$menubutton_exist 	= true;
		$menubutton_btn_id	= $rowi["id"];
	}else{
		$menubutton_exist 	= false;
		$btn_id				= 0;
	}
	$menu_kbn			= 1;
	$btn_id				= $menubutton_btn_id;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜デザイン設定</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_background_mng.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<script type="text/javascript" src="js/background_mng_switch.js"></script>
</head>
<body>
<div id="container_background">
<div class="p_contents_page_subarea">
<?php
	echo "<div class=\"p_cms_background_title\">背景デザイン設定</div>";
	echo "<div class=\"p_button_right\"><input type=\"submit\" value=\"戻る\" onClick=\"return_reload_focus2();\"></div>";
	echo "<br class=\"clear_both\">";
	echo "<div class=\"p_proc_area_background\" id =\"header_design\">";
	echo "<a name=\"header_design\"><span class=\"p_proc_title_background\">【ヘッダーデザイン設定】</span></a><br>";
	echo "<span class=\"edit_memo3\">　　ヘッダーの背景の形状、色を設定できます。<br>　　設定するヘッダーの形状に合ったタブをクリックして、色等を選択してください。<br>
	　　（フッダー、両サイドもヘッダーに最適な色に設定されます。）</span><br><br>";
	echo "</div>";
?>
    <div id="p_header_band_wide">帯状ヘッダー（広い）</div>
    <div id="p_header_band_narrow">帯状ヘッダー（狭い）</div>
    <div id="p_header_wide">ヘッダー（ワイド）</div>
    <div id="p_header_kadomaru">角丸ヘッダー</div>
    <div id="p_header_kadokaku">角角ヘッダー</div>
    <div id="p_header_original">オリジナルヘッダー</div>
    <!--<br class="clear_both">-->
<div class="p_header_band_wide_area">
<div class="p_header_band_wide_area_title">「帯状ヘッダー（広い）」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
		<a href="cms_background_mng_set.php?header_form=11&amp;header_color=1&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=2&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=2"><div class="btn_dark_gray" style="width:100px;text-align:center;float:left;">ダークグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=3&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=4&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=5&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=6&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=6"><div class="btn_light_navy" style="width:100px;text-align:center;float:left;">ネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=8&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black_gold" style="width:100px;text-align:center;float:left;">ブラックゴールド</div></a>
    <br class="clear_both">

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=9&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=9"><div class="btn_dark_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ダークベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=10&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=11&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=12&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=14&amp;side_background_color=14&amp;footer_form=1&amp;footer_color=14"><div class="btn_dark_pink" style="width:100px;text-align:center;float:left;">ダークピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=15&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=15"><div class="btn_pink" style="width:100px;text-align:center;float:left;">ピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=16&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=16"><div class="btn_light_pink" style="width:100px;text-align:center;float:left;">ライトピンク</div></a>

    <a href="cms_background_mng_header_color_input.php?header_form=11&amp;header_color=998"><div class="btn_colorset" style="margin-left:40px;width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>
	<br class="clear_both">
    【ストライプ】<br>
		<a href="cms_background_mng_set.php?header_form=11&amp;header_color=301&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=302&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=2"><div class="btn_dark_gray" style="width:100px;text-align:center;float:left;">ダークグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=303&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=304&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=305&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=306&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=6"><div class="btn_light_navy" style="width:100px;text-align:center;float:left;">ネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=307&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=7"><div class="btn_light_navy2" style="width:100px;text-align:center;float:left;">ライトネイビー</div></a>
    <br class="clear_both">

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=309&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=9"><div class="btn_dark_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ダークベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=310&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=311&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=314&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=14"><div class="btn_dark_pink" style="width:100px;text-align:center;float:left;">ダークピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=315&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=15"><div class="btn_pink" style="width:100px;text-align:center;float:left;">ピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=316&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=16"><div class="btn_light_pink" style="width:100px;text-align:center;float:left;">ライトピンク</div></a>
	<br class="clear_both">
    【グラデーション】<br>
		<a href="cms_background_mng_set.php?header_form=11&amp;header_color=101&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=102&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=2"><div class="btn_dark_gray" style="width:100px;text-align:center;float:left;">ダークグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=103&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=104&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=105&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=109&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=9"><div class="btn_dark_beige" style="width:100px;text-align:center;float:left;">ダークベージュ</div></a>

    <br class="clear_both">
		<a href="cms_background_mng_set.php?header_form=11&amp;header_color=110&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=10"><div class="btn_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=111&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=112&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_set.php?header_form=11&amp;header_color=113&amp;side_background_color=9&amp;footer_form=1&amp;footer_color=13"><div class="btn_gold" style="width:100px;text-align:center;float:left;">ゴールド</div></a>
	<br class="clear_both">
    【クリスタル】<br>
		<a href="cms_background_mng_set.php?header_form=11&amp;header_color=211&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ライトベージュ</div></a>
</div>

<div class="p_header_band_narrow_area">
<div class="p_header_band_narrow_area_title">「帯状ヘッダー（狭い）」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=1&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=2&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=2"><div class="btn_dark_gray" style="width:100px;text-align:center;float:left;">ダークグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=3&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=4&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=5&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=6&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=6"><div class="btn_light_navy" style="width:100px;text-align:center;float:left;">ネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=8&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black_gold" style="width:100px;text-align:center;float:left;">ブラックゴールド</div></a>
    <br class="clear_both">

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=9&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=9"><div class="btn_dark_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ダークベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=10&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=11&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=12&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=14&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=14"><div class="btn_dark_pink" style="width:100px;text-align:center;float:left;">ダークピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=15&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=15"><div class="btn_pink" style="width:100px;text-align:center;float:left;">ピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=16&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=16"><div class="btn_light_pink" style="width:100px;text-align:center;float:left;">ライトピンク</div></a>

    <a href="cms_background_mng_header_color_input.php?header_form=12&amp;header_color=998"><div class="btn_colorset" style="margin-left:40px;width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>
	<br class="clear_both">
    【ストライプ】<br>
    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=301&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=302&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=2"><div class="btn_dark_gray" style="width:100px;text-align:center;float:left;">ダークグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=303&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=304&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=305&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=306&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=6"><div class="btn_light_navy" style="width:100px;text-align:center;float:left;">ネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=307&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=7"><div class="btn_light_navy2" style="width:100px;text-align:center;float:left;">ライトネイビー</div></a>
    <br class="clear_both">

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=309&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=9"><div class="btn_dark_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ダークベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=310&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=311&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=314&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=14"><div class="btn_dark_pink" style="width:100px;text-align:center;float:left;">ダークピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=315&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=15"><div class="btn_pink" style="width:100px;text-align:center;float:left;">ピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=316&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=16"><div class="btn_light_pink" style="width:100px;text-align:center;float:left;">ライトピンク</div></a>

	<br class="clear_both">
    【グラデーション】<br>
    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=101&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=102&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=2"><div class="btn_dark_gray" style="width:100px;text-align:center;float:left;">ダークグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=103&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=104&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=105&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

	<br class="clear_both">
    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=109&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=9"><div class="btn_dark_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ダークベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=110&amp;side_background_color=11&amp;footer_form=1&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=111&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=112&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=113&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=13"><div class="btn_gold" style="width:100px;text-align:center;float:left;">ゴールド</div></a>

	<br class="clear_both">
    【クリスタル】<br>
    <a href="cms_background_mng_set.php?header_form=12&amp;header_color=211&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ライトベージュ</div></a>
</div>

<div class="p_header_wide_area">
<div class="p_header_wide_area_title">「ヘッダー（ワイド）」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
    <a href="cms_background_mng_set.php?header_form=13&amp;header_color=17&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=17"><div class="btn_blue" style="margin-left:40px;width:100px;text-align:center;float:left;">ブルー</div></a>

    <a href="cms_background_mng_set.php?header_form=13&amp;header_color=18&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=18"><div class="btn_light_blue" style="width:100px;text-align:center;float:left;">ライトブルー</div></a>

    <a href="cms_background_mng_set.php?header_form=13&amp;header_color=15&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=15"><div class="btn_pink" style="width:100px;text-align:center;float:left;">ピンク</div></a>

    <a href="cms_background_mng_set.php?header_form=13&amp;header_color=16&amp;side_background_color=12&amp;footer_form=1&amp;footer_color=16"><div class="btn_light_pink" style="width:100px;text-align:center;float:left;">ライトピンク</div></a>

    <a href="cms_background_mng_header_color_input.php?header_form=13&amp;header_color=998"><div class="btn_colorset" style="width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>
</div>

<div class="p_header_kadomaru_area">
<div class="p_header_kadomaru_area_title">「角丸ヘッダー」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
    <a href="cms_background_mng_set.php?header_form=2&amp;header_color=1&amp;footer_form=2&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=2&amp;header_color=5&amp;footer_form=2&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=2&amp;header_color=10&amp;footer_form=2&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=2&amp;header_color=12&amp;footer_form=2&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_header_color_input.php?header_form=2&amp;header_color=998"><div class="btn_colorset" style="40px;width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>

</div>

<div class="p_header_kadokaku_area">
<div class="p_header_kadokaku_area_title">「角角ヘッダー」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
    <a href="cms_background_mng_set.php?header_form=3&amp;header_color=1&amp;footer_form=3&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?header_form=3&amp;header_color=5&amp;footer_form=3&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?header_form=3&amp;header_color=10&amp;footer_form=3&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?header_form=3&amp;header_color=12&amp;footer_form=3&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_header_color_input.php?header_form=3&amp;header_color=998"><div class="btn_colorset" style="40px;width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>
</div>

<div class="p_header_original_area">
<div class="p_header_original_area_title">「オリジナルヘッダー」の設定</div>
<br class="clear_both">
    　ＰＣ上の画像ファイルを設定することが出来ます。<br>
    　以下のボタンをクリックして画像ファイルを選択してください。<br>
    <a href="cms_background_mng_img_input.php?header_form=99&amp;header_color=999"><div class="p_header_img_sel_btn" style="margin-left:40px;width:180px;text-align:center;float:left;">オリジナルヘッダー用画像</div></a>
</div>
<br class="clear_both"><br>

<div class="p_proc_area_background" id="sidearea_design">
<a name="sidearea_design"><span class="p_proc_title_background">【両サイド背景設定】</span></a><br>
<span class="edit_memo3">　　両サイド背景の色を設定できます。設定する色を選択してください。</span><br><br>
</div>
    <div id="p_side_back">両サイド背景</div>
    <!--<br class="clear_both">-->
<div class="p_side_back_area">
<div class="p_side_back_area_title">「両サイド背景」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    <a href="cms_background_mng_set.php?side_background_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?side_background_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?side_background_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?side_background_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?side_background_color=6"><div class="btn_navy" style="width:100px;text-align:center;float:left;">ネイビー</div></a>

    <a href="cms_background_mng_set.php?side_background_color=7"><div class="btn_light_navy2" style="width:100px;text-align:center;float:left;">ライトネイビー</div></a>

    <a href="cms_background_mng_set.php?side_background_color=9"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>
	<br class="clear_both">
    <a href="cms_background_mng_set.php?side_background_color=11"><div class="btn_light_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?side_background_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_side_back_color_input.php?side_background_color=998"><div class="btn_colorset" style="width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>
</div>
<br class="clear_both"><br>

<div class="p_proc_area_background" id="footer_design">
<a name="footer_design"><span class="p_proc_title_background">【フッターデザイン設定】</span></a><br>
<span class="edit_memo3">　　フッターの背景の形状、色を設定できます。<br>　　設定するフッターの形状に合ったタブをクリックして、色等を選択してください。</span><br><br>
</div>
    <div id="p_footer_band_wide">帯状フッター</div>
    <div id="p_footer_kadomaru">角丸フッター</div>
    <div id="p_footer_kadokaku">角角フッター</div>
<div class="p_footer_band_wide_area">
<div class="p_footer_band_wide_area_title">「帯状フッター」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=2"><div class="btn_dark_gray" style="width:100px;text-align:center;float:left;">ダークグレー</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=3"><div class="btn_gray" style="width:100px;text-align:center;float:left;">グレー</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=4"><div class="btn_light_gray" style="width:100px;text-align:center;float:left;">ライトグレー</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=6"><div class="btn_light_navy" style="width:100px;text-align:center;float:left;">ネイビー</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=9"><div class="btn_dark_beige" style="width:100px;text-align:center;float:left;">ダークベージュ</div></a>

    <br class="clear_both">
    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=10"><div class="btn_beige" style="margin-left:40px;width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=11"><div class="btn_light_beige" style="width:100px;text-align:center;float:left;">ライトベージュ</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=14"><div class="btn_dark_pink" style="width:100px;text-align:center;float:left;">ダークピンク</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=15"><div class="btn_pink" style="width:100px;text-align:center;float:left;">ピンク</div></a>

    <a href="cms_background_mng_set.php?footer_form=1&amp;footer_color=16"><div class="btn_light_pink" style="width:100px;text-align:center;float:left;">ライトピンク</div></a>

    <a href="cms_background_mng_footer_color_input.php?footer_form=1&amp;footer_color=998"><div class="btn_colorset" style="width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>
</div>

<div class="p_footer_kadomaru_area">
<div class="p_footer_kadomaru_area_title">「角丸フッター」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
    <a href="cms_background_mng_set.php?footer_form=2&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?footer_form=2&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?footer_form=2&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?footer_form=2&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_footer_color_input.php?footer_form=2&amp;footer_color=998"><div class="btn_colorset" style="width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>
</div>

<div class="p_footer_kadokaku_area">
<div class="p_footer_kadokaku_area_title">「角角フッター」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br><br>
    【ベタ塗り】<br>
    <a href="cms_background_mng_set.php?footer_form=3&amp;footer_color=1"><div class="btn_black" style="margin-left:40px;width:100px;text-align:center;float:left;">ブラック</div></a>

    <a href="cms_background_mng_set.php?footer_form=3&amp;footer_color=5"><div class="btn_dark_navy" style="width:100px;text-align:center;float:left;">ダークネイビー</div></a>

    <a href="cms_background_mng_set.php?footer_form=3&amp;footer_color=10"><div class="btn_beige" style="width:100px;text-align:center;float:left;">ベージュ</div></a>

    <a href="cms_background_mng_set.php?footer_form=3&amp;footer_color=12"><div class="btn_white" style="width:100px;text-align:center;float:left;">ホワイト</div></a>

    <a href="cms_background_mng_footer_color_input.php?footer_form=3&amp;footer_color=998"><div class="btn_colorset" style="width:130px;text-align:center;float:left;">オリジナルカラー指定</div></a>

</div>
<br class="clear_both"><br>
</div>
</div> <!-- end id="container_background" -->
</body>
<script type="text/javascript">
window.focus();
</script>
</html>
