<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	/************************************/
	/* メニューボタンのコントロール処理 */
	/************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	
	$proc 	= $_GET['proc'];
	$pos	= $_GET['pos'];
	$_SESSION["errmsg"]	= NULL;
	$_SESSION['procmsg'] = NULL;
	switch ($proc) {
		case 'del':
			/****** 指定ボタンの削除処理 ****************************************/
			/***** 指定ボタンとその下のボタンを削除する。************************/
			/***** 指定ボタンとその下のボタンに紐つくデータを削除する。******/
			// 削除対象のmenubuttonデータからコンテンツページコントロールIDとmenubuttonレコードIDを取得する。
			$sqlm = "SELECT * FROM menubutton where (substr(orderno,2,1) = substr(\"$pos\",2,1))";
			$stmt = $conn->prepare($sqlm);
			$stmt->execute();
			while ($rowm = $stmt->fetch(PDO::FETCH_ASSOC)) {
				echo "<br>while";
				if ($rowm["contents_page_ctrl_id"] == NULL) continue;		// ボタンに対応するページが登録されていない場合。
				$ctrl_id	= $rowm["contents_page_ctrl_id"];
				$btn_id		= $rowm["id"];
				$menu_kbn 	= 1;
				btn_data_del($conn, $conn2, $ctrl_id, $menu_kbn, $btn_id);
			}
			// ボタンを削除する。
			$sql = "DELETE FROM menubutton where (substr(orderno,2,1) = substr(\"$pos\",2,1))";	// 処理対象の列のデータのみを選択
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			// 削除したボタンの右側のボタンを左に寄せる。
			// 1列～8列目の処理
			$retsu = 1;		// 列数
			while ($retsu <= 8) {
				$sql = "SELECT * FROM menubutton where (orderno > ".($pos + ($retsu*10 - 10)). " and orderno < ".($retsu*10 + 10).")";	// 処理対象の列のデータのみを選択
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno'] - 1;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				$retsu = $retsu + 1;
			}
			break;
		case 'dsp':
			// ボタンを表示を切り替える。
			$sql = "SELECT * FROM menubutton WHERE orderno = ".$pos;	// 処理対象の行のデータを選択
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			if ($row["display_flg"] == 1) {
				$display_flg = 0;
			}else {
				$display_flg = 1;
			}
			$sql_tmp = "update menubutton set 
						display_flg		= :display_flg,
						update_time 	= :update_time
						where id		= :id";
			$stmt = $conn->prepare($sql_tmp);
			$stmt->bindParam(":id", $row['id']);
			$stmt->bindParam(":display_flg", $display_flg);
			//更新日時
			$time 			= time();
			$update_time 	= date('Y/m/d H:i:s', $time);
			$stmt->bindParam(":update_time", $update_time);
			$stmt->execute();
			break;
		case 'del_under':
			/****** 指定ボタンの削除処理 *****************/
			/****** ボタンに紐つくデータを削除する。******/
			// 削除対象のmenubuttonデータからコンテンツページコントロールIDとmenubuttonレコードIDを取得する。
			$sql = "SELECT * FROM menubutton where orderno = ".$pos;
			//echo "<br>sql=".$sql;
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			$row = $stmt->fetch(PDO::FETCH_ASSOC);
			$ctrl_id	= $row["contents_page_ctrl_id"];
			$btn_id		= $row["id"];
			// コンテンツページコントロールからページテーブル名とそのレコードIDを取得する。
			if ($ctrl_id <> NULL && $ctrl_id <> "" && $ctrl_id <> 0) {
				$sql = "SELECT * FROM contents_page_ctrl where id = ".$ctrl_id;
				//echo "<br>sql=".$sql;
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				$row = $stmt->fetch(PDO::FETCH_ASSOC);
				$page_table	= $row["page_table"];
				$page_id	= $row["page_id"];
			
				$menu_kbn 	= 1;
				btn_data_del($conn, $conn2, $ctrl_id, $menu_kbn, $btn_id);
			}
			// ボタンを削除する。
			$sql = "DELETE FROM menubutton WHERE orderno = ".$pos;
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			// ボタンを削除する。

			// 削除したボタンの下側のボタンを上に移動する。
			// 1行～8行目の処理
			$gyou = floor($pos/10);		// $posの1桁目（削除したボタンの行位置)
			$sql = "SELECT * FROM menubutton where ((orderno%10 = $pos%10) and orderno/10 >= ($gyou+1) and orderno < 100) ";	// 処理対象の行のデータのみを選択（orderno/10は小数点が付かない？）pdo sqlでは数値の文字列操作が出来ない！
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
				$orderno = $row['orderno'] - 10+100;		// select条件に含まれないように一旦100を加算する。
				$sql_tmp = "update menubutton set 
							orderno				= :orderno,
							update_time 		= :update_time
							where id			= :id";
				$stmtupdt = $conn->prepare($sql_tmp);
				$stmtupdt->bindParam(":id", $row['id']);
				$stmtupdt->bindParam(":orderno", $orderno);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmtupdt->bindParam(":update_time", $update_time);
				$stmtupdt->execute();
			}
			$sql = "SELECT * FROM menubutton where (orderno > 100) ";	// 処理対象の行のデータのみを選択（orderno/10は小数点が付く）pdo sqlでは数値の文字列操作が出来ない！
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
				$orderno = $row['orderno'] - 100;		// 加算した100を引いて目的の値にする。
				$sql_tmp = "update menubutton set 
							orderno				= :orderno,
							update_time 		= :update_time
							where id			= :id";
				$stmtupdt = $conn->prepare($sql_tmp);
				$stmtupdt->bindParam(":id", $row['id']);
				$stmtupdt->bindParam(":orderno", $orderno);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmtupdt->bindParam(":update_time", $update_time);
				$stmtupdt->execute();
			}
			break;
		case 'add':														// 1列目にボタンを追加する。
			$sql = "SELECT * FROM menubutton where orderno = 18";		// maxに達していないかチェック
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
				$_SESSION["errmsg"] = "ボタンの数がMAX（8個）に達しているため追加出来ません！";
			}else{
				// 追加するボタンの右側のボタンを右に移動する。
				// 1列～8列目の処理
				$retsu = 1;		// 列数
				while ($retsu <= 8) {
					// 処理対象の列のデータのみを選択＜＜＜ordernoを加算したデータの影響を受けないように降順（DESC)で読む＞＞＞
					$sql = "SELECT * FROM menubutton where (orderno > ".($pos + ($retsu*10 - 10)). " and orderno < ".($retsu*10 + 10).") ORDER BY orderno DESC";
					$stmt = $conn->prepare($sql);
					$stmt->execute();
					while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
						$orderno = $row['orderno'] + 1;
						$sql_tmp = "update menubutton set 
									orderno				= :orderno,
									update_time 		= :update_time
									where id			= :id";
						$stmtupdt = $conn->prepare($sql_tmp);
						$stmtupdt->bindParam(":id", $row['id']);
						$stmtupdt->bindParam(":orderno", $orderno);
						//更新日時
						$time 			= time();
						$update_time 	= date('Y/m/d H:i:s', $time);
						$stmtupdt->bindParam(":update_time", $update_time);
						$stmtupdt->execute();
					}
					$retsu = $retsu + 1;
				}
				// 新規ボタンの追加
				$orderno 				= $pos + 1;
				$kanjieiji_2dankbn		= 1;
				$button_kanjiname		= "新しいボタン";
				$button_eijiname		= "";
				$$contents_page_ctrl_id	= "";
				$display_flg			= 1;
				$menubutton_id = insert_menubutton($conn, $orderno, $kanjieiji_2dankbn, $button_kanjiname, $button_eijiname, $contents_page_ctrl_id, $display_flg);
				if ($orderno == 11) {	// indexページ
					// indexページのコンテンツページコントロールを追加する。
					$button_tbl = "menubutton";
					$button_tbl_id	= $menubutton_id;
					$page_table = "";
					$page_id	= 0;
					$idpgctrl = insert_contents_page_ctrl($conn, $button_tbl, $button_tbl_id, $page_table, $page_id);
					// メニューボタンテーブルのcontents_page_ctrl_idを更新する。
					$sql_tmp = "update menubutton set 
								contents_page_ctrl_id	= :contents_page_ctrl_id,
								update_time 			= :update_time
								where id				= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $menubutton_id);
					$stmtupdt->bindParam(":contents_page_ctrl_id", $idpgctrl);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
					// 最初のボタンを追加するときは、index_layoutデータを作成する。
					$sql = "SELECT count(*) cnt FROM index_layout";
					$stmt = $conn->prepare($sql);
					$stmt->execute();
					$rowc = $stmt->fetch(PDO::FETCH_ASSOC);
					if ($rowc["cnt"] == 0) {							// index_layoutデータが存在しないときのみデータを作成する。
						$menubutton_umu 		= 1;
						$menubutton_pos 		= 1;
						$slide1_umu				= 1;
						$slide2_umu				= 1;
						$side_menubutton_umu 	= 1;
						$side_menubutton_pos 	= 1;
						$sidemenu_left_table 	= NULL;
						$conents_title_umu		= 1;
						$conents_umu			= 1;
						$id 	= insert_index_layout($conn, $menubutton_umu, $menubutton_pos, $slide1_umu, $slide2_umu, $side_menubutton_umu, $side_menubutton_pos, $sidemenu_left_table, $conents_title_umu, $conents_umu);
						$menu_kbn				= 1;
						$btn_id					= $menubutton_id;
						$side_menubutton_pos	= 0;
						$blog_title_pos			= 0;
						$news_title_pos			= 0;
						$item_ranking_pos		= 0;
						$side_free_page_pos		= 0;
						$side_free_contents_pos	= 0;
						$sns_btn_pos			= 0;
						$idside = insert_side_ctrl($conn, $menu_kbn, $btn_id, $side_menubutton_pos, $blog_title_pos, $news_title_pos, $item_ranking_pos, $side_free_page_pos, $side_free_contents_pos, $sns_btn_pos);
					}
					// 最初のボタンを追加するときは、design_setデータを作成する。
					$sql = "SELECT count(*) cnt FROM design_set";
					$stmt = $conn->prepare($sql);
					$stmt->execute();
					$rowc = $stmt->fetch(PDO::FETCH_ASSOC);
					if ($rowc["cnt"] == 0) {							// index_layoutデータが存在しないときのみデータを作成する。
						$header_form						= 11;		// 帯状広い
						$header_color						= 12;		// ホワイト
						$header_color_no					= NULL;
						$header_img_file					= NULL;
						$header_img_dsp_form				= 0;
						$menu_btn_color						= 12;		// （未使用）
						$menu_btn_design					= 0;
						$menu_btn_img_file_on				= NULL;
						$menu_btn_img_file_off				= NULL;
						$menu_btn_line_color_no				= NULL;
						$menu_btn_font_color_no_on	 		= NULL;
						$menu_btn_font_color_no_off	 		= NULL;
						$menu_btn_under_font_color_no_on	= NULL;
						$menu_btn_under_font_color_no_off	= NULL; 
						$menu_btn_font_bold					= 0;
						$menu_btn_font_size					= 0;
						$menu_btn_font_family				= 0;
						$side_btn_form						= 2;		// （未使用）
						$side_btn_color						= 12;		// ホワイト
						$side_btn_design					= 0;
						$side_btn_img_file_on				= NULL;
						$side_btn_img_file_off				= NULL;
						$side_btn_img_file_plus_on			= NULL;
						$side_btn_img_file_plus_off			= NULL;
						$side_btn_img_file_minus			= NULL;
						$side_under_btn_img_file_on			= NULL;
						$side_under_btn_img_file_off		= NULL;
						$side_btn_font_color_no_on			= NULL;
						$side_btn_font_color_no_off			= NULL;
						$side_under_btn_font_color_no_on	= NULL;
						$side_under_btn_font_color_no_off 	= NULL;
						$side_btn_font_bold					= 0;
						$side_btn_font_size					= 0;
						$side_btn_font_family				= 0;
						$side_background_color				= 12;		// ホワイト
						$side_background_color_no			= NULL;
						$footer_form						= 1;
						$footer_color						= 12;		// ホワイト
						$footer_color_no					= NULL;
						$footer_font_color_no				= NULL;
						$index_news_color					= 3;		// ホワイト
						$index_blog_color					= 3;		// ホワイト

						$id = insert_design_set($conn, $header_form, $header_color, $header_color_no, $header_img_file, $header_img_dsp_form, $menu_btn_color, $menu_btn_design, $menu_btn_img_file_on, $menu_btn_img_file_off, $menu_btn_line_color_no, $menu_btn_font_color_no_on, $menu_btn_font_color_no_off, $menu_btn_under_font_color_no_on, $menu_btn_under_font_color_no_off, $menu_btn_font_bold, $menu_btn_font_size, $menu_btn_font_family, $side_btn_form, $side_btn_color, $side_btn_design, $side_btn_img_file_on, $side_btn_img_file_off, $side_btn_img_file_plus_on, $side_btn_img_file_plus_off, $side_btn_img_file_minus, $side_under_btn_img_file_on, $side_under_btn_img_file_off, $side_btn_font_color_no_on, $side_btn_font_color_no_off, $side_under_btn_font_color_no_on, $side_under_btn_font_color_no_off, $side_btn_font_bold, $side_btn_font_size, $side_btn_font_family, $side_background_color, $side_background_color_no, $footer_form, $footer_color, $footer_color_no, $footer_font_color_no, $index_news_color, $index_blog_color);
					}
				}
			}
			break;
		case 'add_under':												// 下にボタンを追加する。
			$maxorderno = 80 + substr($pos,1,1);						// 該当列がmaxのordernoをセット
			$sql = "SELECT * FROM menubutton where orderno = ".$maxorderno;		// maxに達していないかチェック
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
				$_SESSION['errmsg'] = "ボタンの数がMAX（8個）に達しているため追加出来ません！";
				//echo $_SESSION['errmsg'];
			}else{
				// 追加するボタンの下側のボタンを下に移動する。
				// 1行～8行目の処理
				$gyou = floor($pos/10);		// $posの1桁目（直上のボタンの行位置）
				$sql = "SELECT * FROM menubutton where ((orderno%10 = $pos%10) and orderno/10 >= ($gyou+1))";	// 処理対象の行のデータのみを選択（orderno/10は小数点が付かない？）
				//$sql = "SELECT * FROM menubutton where (substr(orderno,2,1) = substr(\"$pos\",2,1) and substr(orderno,1,1) > $gyou)";	// 処理対象の行のデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				//echo '$sql='.$sql.'<br>';
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno'] + 10;		// ?????
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 新規ボタンの追加
				$orderno 				= $pos + 10;
				$kanjieiji_2dankbn		= 1;
				$button_kanjiname		= "新しいボタン";
				$button_eijiname		= "";
				$$contents_page_ctrl_id	= "";
				$display_flg			= 1;
				$id = insert_menubutton($conn, $orderno, $kanjieiji_2dankbn, $button_kanjiname, $button_eijiname, $contents_page_ctrl_id, $display_flg);
			}
			break;
		case 'right':																// 対象のボタンを右に移動する。
			// 指定されたボタンの右側にボタンがあるかをチェックする。
			$rightorderno = $pos + 1;
			$sql = "SELECT * FROM menubutton where orderno = ".$rightorderno;		// 右側にボタンがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "右端のボタンは右には移動出来ません！";
			} else {
				//// ボタンを右に移動する。
				// 指定されたボタンのordernoを一時的に10倍にする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno%10 = ".($pos%10).")";	// 処理対象の列のデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno']*10;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 右側ボタンを左に移動する。
				// 指定されたボタンのordernoを一時的に1桁目のみとする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno%10 = ".($pos%10+1).")";	// 右側ボタンのデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno'] - 1;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 指定されたボタンを右に移動する。
				$sql = "SELECT * FROM menubutton where (orderno > 100)";	// 右側ボタンのデータのみを選択
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = ($row['orderno']/10) + 1;
					// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
			}
			break;
		case 'left':																// 対象のボタンを左に移動する。
			// 指定されたボタンの左側にボタンがあるかをチェックする。
			$leftorderno = $pos - 1;
			$sql = "SELECT * FROM menubutton where orderno = ".$leftorderno;		// 左側にボタンがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "左端のボタンは左には移動出来ません！";
			} else {
				$retu = $pos%10;		// （$posを10で割った余り）$posの1桁目
				//// ボタンを左に移動する。
				// 指定されたボタンのordernoを一時的に10倍にする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno%10 = ".$retu.")";	// 処理対象の列のデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno']*10;
					//echo '$orderno='.$orderno.'<br>';
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 左直近ボタンを右に移動する。
				// 指定されたボタンのordernoを一時的に1桁目のみとする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno%10 = ".($retu-1).")";	// 左直近ボタンのデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno'] + 1;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 指定されたボタンを左に移動する。
				$sql = "SELECT * FROM menubutton where (orderno > 100)";	// 右側ボタンのデータのみを選択
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = ($row['orderno']/10) - 1;
					// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
			}
			break;
		case 'up':																// 対象のボタンを上に移動する。
			// 指定されたボタンの上側にボタンがあるかをチェックする。
			$upoderno = $pos - 10;
			$sql = "SELECT * FROM menubutton where orderno = ".$upoderno;		// 上側にボタンがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "上端のボタンは上には移動出来ません！";
			} else {
				//// ボタンを上に移動する。
				// 指定されたボタンのordernoを一時的に10倍にする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno = ".$pos.")";	// 処理対象のボタンのデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno']*10;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 上側ボタンを下に移動する。
				// 指定されたボタンのordernoを一時的に1桁目のみとする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno = ".($pos-10).")";	// 左側ボタンのデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno'] + 10;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 指定されたボタンを上に移動する。
				$sql = "SELECT * FROM menubutton where (orderno > 100)";	// 右側ボタンのデータのみを選択
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = ($row['orderno']/10) - 10;
					// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
			}
			break;
		case 'down':																// 対象のボタンを上に移動する。
			// 指定されたボタンの下側にボタンがあるかをチェックする。
			$downorderno = $pos + 10;
			$sql = "SELECT * FROM menubutton where orderno = ".$downorderno;		// 上側にボタンがあるかをチェックする
			$stmt = $conn->prepare($sql);
			$stmt->execute();
			if (!($row = $stmt->fetch(PDO::FETCH_ASSOC))) {
				$_SESSION['errmsg'] = "下端のボタンは下には移動出来ません！";
			} else {
				//// ボタンを下に移動する。
				// 指定されたボタンのordernoを一時的に10倍にする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno = ".$pos.")";	// 処理対象のボタンのデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno']*10;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 下側ボタンを上に移動する。
				// 指定されたボタンのordernoを一時的に1桁目のみとする（1列～8列目の処理）
				$sql = "SELECT * FROM menubutton where (orderno = ".($pos+10).")";	// 左側ボタンのデータのみを選択
				// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = $row['orderno'] - 10;
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
				// 指定されたボタンを下に移動する。
				$sql = "SELECT * FROM menubutton where (orderno > 100)";	// 右側ボタンのデータのみを選択
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					$orderno = ($row['orderno']/10) + 10;
					// sqlとphpではsubstrの開始位置の指定が異なる(sqlは1から開始、phpは0から開始）
					$sql_tmp = "update menubutton set 
								orderno				= :orderno,
								update_time 		= :update_time
								where id			= :id";
					$stmtupdt = $conn->prepare($sql_tmp);
					$stmtupdt->bindParam(":id", $row['id']);
					$stmtupdt->bindParam(":orderno", $orderno);
					//更新日時
					$time 			= time();
					$update_time 	= date('Y/m/d H:i:s', $time);
					$stmtupdt->bindParam(":update_time", $update_time);
					$stmtupdt->execute();
				}
			}
			break;
			
	}
	header('Location: ./cms_menubtn_edit.php');
?>
