<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();							// セッションの復元
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';				// ＤＢファイルのロックを防止するため、PayPal IPNで更新するテーブルは別ファイルとする。
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$_SESSION["setmsg"]				= NULL;	// 初期化
	$_SESSION["errmsg2"]			= NULL;	// 初期化
	$contents_mng = true;
	$uri_array 	= explode( "?", $_SERVER["REQUEST_URI"] );
	$param		= $uri_array[1];
	
	if (!($_GET["modoru"] || $_GET["dbsave"] || $_GET["err"])) {
		if ($_GET["section_proc"] == "add") {
			$_SESSION["section_proc"] = $_GET["section_proc"];
				//$sel_layout					= $_GET['sel_layout'];
				//$_SESSION["sel_layout"] 	= $sel_layout;
				$_SESSION["section_form"] 	= $_GET["section_form"];
		}else
		if ($_GET["section_proc"] == "upd") {
			$_SESSION["section_proc"] = "upd";
			$_SESSION["section_form"] = $_GET["section_form"];
		}
	}
	if ($_SESSION["section_proc"] == "add") {
		$dsp_proc = "追加";
	}else{
		$dsp_proc = "修正";
	}
	if ($_GET["section_id"] <> NULL) {
		$_SESSION["section_id"] = $_GET["section_id"];
	}else
	if ($_GET["section_proc"] == "add" && !$_GET["dbsave"] && !$_GET["modoru"]) {
		$_SESSION["section_id"] = 0;
	}
	$_SESSION["return_uri_text_save"] = $uri_array[0];
	$_SESSION["return_uri_section"] = $uri_array[0].'?section_proc='.$_GET["section_proc"].'&section_id='.$_GET["section_id"].'&section_form='.$_GET["section_form"];
	// セッション変数初期化
	$_SESSION["cta_proc"] 			= NULL;
	$_SESSION['template'] 			= NULL;
	$_SESSION["color_no_input"]		= NULL;
	$_SESSION["upload_name_back"]	= NULL;
	$_SESSION['upload_name']		= NULL;
	$_SESSION["section_edit"]		= false;
	$_SESSION["complete_data_ari"] 	= false;
	$dv_width = 960;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜セクションの<?php echo $dsp_proc;?></title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_title_free_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_index_contents_mng.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<?php
include("cms_parts_page_head_common1.php");
echo '<style>';
	echo "div a:link{";
	echo "text-decoration: underline;";
	echo "}";
echo '</style>';
?>
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<body>
<div id="container">
<div id ="mainarea" style="background-color:white;">
	<div class="p_section_edit_title" style="width:960px;">セクションの<?php echo $dsp_proc;?></div>
	<br class="clear_both">
    <div style="margin-left:0px;">
	<!--
    //**********************************************************//
	//					　セクションの追加/修正					//
	//**********************************************************//
    -->
	<span class="p_edit_guide">タイトル、内容を追加する場合は[タイトル追加]、[内容追加]をクリックしてください。<br>修正（または削除）する場合は[タイトル修正]、[内容修正]をクリックしてください。クリックしてください。<br>表示されたページで編集/削除が出来ます。<br>ＣＴＡボタン、カウントダウンタイマーを追加する場合は[ＣＴＡボタン追加]、[カウントダウンタイマー追加]をクリックしてください。<br>修正する場合はＣＴＡボタンの画像、カウントダウンタイマーをクリックしてください。</span>
	<br class="clear_both">
	<?php
	if (!($_GET["modoru"] || $_GET["dbsave"] || $_GET["err"] || $_GET["section_proc"] == "add")) {
		$_SESSION["section_id"] = $_GET["section_id"];
	}
	
	$_SESSION["cta_data_ari"]	= false;
	$cta_btn_ari 				= false;
	$section_data_ari			= false;
	$section_form				= $_SESSION["section_form"];
	if ($_SESSION["section_id"] <> 0) {
		$sql = "SELECT * FROM section WHERE id = ".$_SESSION["section_id"];
		//echo "<br>section_sql=".$sql;		// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowsec = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$section_data_ari	= true;
			$section_id			= $rowsec["id"];
			$section_form 		= $rowsec["section_form"];
			$sec_width 			= 960;
			// セクションの背景色、外枠の色太さをセット
			
			$style_section = ' style="position:relative;text-align:left;line-height:normal;float:left;padding-left:'.$rowsec["padding_left"].'px;padding-top:'.$rowsec["padding_top"].'px;padding-right:'.$rowsec["padding_right"].'px;padding-bottom:'.$rowsec["padding_bottom"].'px;';
			if ($rowsec["section_border_width"] > 0) {
				$style_section 	= $style_section.'width:'.$sec_width.'px;border-width:'.$rowsec["section_border_width"].'px;border-style:'.$rowsec["section_border_style"].';border-color:'.$rowsec["section_border_color"].';background-color:'.$rowsec["section_bk_color"].';"';
				$section_border_width = $rowsec["section_border_width"];
			}else{
				$style_section 	= $style_section.'background-color:'.$rowsec["section_bk_color"].';"';
				$section_border_width = 0;
			}
			$section_title_ari = false;
			if ($rowsec["section_title"] <> NULL || ($rowsec["title_img_no"] <> NULL && $rowsec["title_img_no"] <> 0)) $section_title_ari = true;
			if ($section_title_ari) {
				echo '<br class="clear_both">';
				include 'cms_index_contents_section_common_parts_page_title_mng.php';		// タイトル位置調整（$styleセット）
				$dsp_contents = link_rel_to_abs($rowsec["section_title"]);
				// 編集のためにクリックしたときに、クリック拡大画像が開いてしまうのを防ぐため、aタグを一時的に除去する。
				//$dsp_contents = atag_strip($dsp_contents);
				$title_img_no = $rowsec["title_img_no"];
				echo '<div id="section_title_back_'.$section_id.'" class="p_title_back_'.$title_img_no.'" '.$style_title.'>'.$dsp_contents.'</div>';
				echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_title_edit.php?mode=1&section_proc=upd&section_title_proc=upd&section_id='.$rowsec["id"].'">タイトル修正</a></div>';
				echo '<br class="clear_both">';
			}else{
				echo '<br class="clear_both"><br><br>';
				echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_title_edit.php?mode=1&section_proc=upd&section_title_proc=add">タイトル追加</a></div>';
				echo '<br class="clear_both">';
			}
			// 内容有無判定用処理start
			$txt_cnt 		= 0;
			$max_txt_cnt	= 1;
			$sqlmng = "SELECT * FROM section_box_orderno_mng WHERE (section_id = ".$section_id.") ORDER BY box_orderno ASC";
			//echo "<br>sql=".$sql;		// debug
			$stmtmng = $conn->prepare($sqlmng);
			$stmtmng->execute();
			while ($rowmng = $stmtmng->fetch(PDO::FETCH_ASSOC)) {			// order_noが最大のレコードを1件読む。
				$img_txt_data_ari	= true;
				if ($rowmng["data_kbn"] == 1) {				// テキスト
					$table_name = "section_pc_text_data";
				}else{										// 画像
					$table_name = "section_img_data";
				}
				$sql = "SELECT * FROM ".$table_name." WHERE (id = ".$rowmng["data_id"].")";
				$stmt = $conn->prepare($sql);
				$stmt->execute();
				if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
					if ($rowmng["data_kbn"] == 1) $txt_cnt 	= $txt_cnt + 1;
				}
			}
			// 内容有無判定用処理end
			if ($txt_cnt < $max_txt_cnt) echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_pc_text_edit.php?mode=1&text_proc=add&section_proc=upd">内容追加</a></div>';
			echo '<div class="section_area_'.$rowsec["id"].'"'.$style_section.'>';
			$adjust 		= false;
			$section 		= true;
			$index			= false;
			$style			= false;
			$text_kakunin	= false;
			include("cms_index_contents_parts_section_contents.php");		// セクションエリアの内容を表示
			echo '</div>';
			
		}
		echo '<br class="clear_both">';
	}else{
		echo '<br class="clear_both"><br><br>';
		echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_title_edit.php?mode=1&section_proc=add&section_title_proc=add">タイトル追加</a></div>';
		echo '<br class="clear_both">';
		echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_pc_text_edit.php?text_proc=add&mode=1&section_proc=add">内容追加</a></div>';
		echo '<br class="clear_both">';
		$cta_proc ="add";
	}
	if ($_GET["err"]) {
		echo "<div class=\"errmsg\" >";
		echo $_SESSION['errmsg'];
		echo "</div>";
	}
	?>
	<br class="clear_both">
	<br>

    <?php
	$cta_btn_edit 	= true;
	$btn_name_sitei = false;
	if ($cta_btn_ari) {
		if ($cta_btn_no == 1 || $cta_btn_no == 2 || $cta_btn_no == 101 || $cta_btn_no == 102) {
			if ($cta_proc_data_ari) {
				$dsp_btn_name 	= "ＣＴＡ処理設定変更";
				$file_proc		= "cms_index_contents_mng_section_cta_proc_edit.php?cta_proc=".$cta_proc."&pre_proc=section&cta_proc_no=".$rowctapd["cta_proc_no"]."&cta_proc_data_id=".$rowctapd["id"];
			}else{
				$dsp_btn_name 	= "ＣＴＡ処理設定";
				$file_proc		= "cms_index_contents_mng_section_cta_proc.php?cta_proc=".$cta_proc."&pre_proc=section";
			}
		}else
		if ($cta_btn_no == 8 || $cta_btn_no == 9 || $cta_btn_no == 10 || $cta_btn_no == 108 || $cta_btn_no == 109 || $cta_btn_no == 110 || $cta_btn_no == 999) {
			$btn_name_sitei = true;
			$dsp_btn_name 	= "ＣＴＡボタン属性修正";
			$file_proc		= "cms_index_contents_mng_section_cta_adjust.php?cta_proc=".$cta_proc;
			if ($cta_proc_data_ari) {
				$dsp_btn_name2 	= "ＣＴＡ処理設定変更";
				$file_proc2		= "cms_index_contents_mng_section_cta_proc_edit.php?cta_proc=".$cta_proc."&pre_proc=section&cta_proc_no=".$rowctapd["cta_proc_no"]."&cta_proc_data_id=".$rowctapd["id"];
			}else{
				$dsp_btn_name2 	= "ＣＴＡ処理設定";
				$file_proc2		= "cms_index_contents_mng_section_cta_proc.php?cta_proc=".$cta_proc."&pre_proc=section";
			}
		}else{
			$cta_btn_edit = false;
		}
	}else{
		$dsp_btn_name = "ＣＴＡボタン追加";
		$file_proc		= "cms_index_contents_mng_section_cta_add.php?cta_proc=".$cta_proc;
	}
    if ($cta_btn_edit) {
		echo '<div class="basic_btn5"><a href="'.$file_proc.'&section_cta_data_id='.$rowcta["id"].'&btn_no='.$rowcta["cta_btn_img_no"].'">'.$dsp_btn_name.'</a></div>';
		if ($btn_name_sitei) echo '<div class="basic_btn5"><a href="'.$file_proc2.'&section_cta_data_id='.$rowcta["id"].'&btn_no='.$rowcta["cta_btn_img_no"].'">'.$dsp_btn_name2.'</a></div>';
	}
	if ($cta_btn_ari) {
		echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_cta_complete_page_edit.php?section_cta_data_id='.$rowcta["id"].'">ＣＴＡ処理完了ページ編集</a></div>';
		echo '<div><input type="button" class="basic_btn5" value="ＣＴＡボタン削除" onClick="cta_btn_del('.$rowcta["id"].')"></div>';
	}
	if (!$count_down_timer_ari) {
		echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_cta_count_down_timer.php">カウントダウンタイマー追加</a></div>';
	}else{
		echo '<div><input type="button" class="basic_btn5" value="カウントダウンタイマー削除" onClick="count_down_timer_del('.$count_down_timer_id.')"></div>';
	}
    echo '<div class="basic_btn5"><a href="cms_index_contents_mng_section_style_set.php?modoru=1">セクションの背景色/外枠/余白を設定</a></div>';
	if ($section_data_ari) echo '<div><input type="button" class="basic_btn5" value="このセクションを削除" onClick="section_del('.$_SESSION["section_id"].')"></div>';
	?>
    <br class="clear_both"><br>
    <div><input type="button" class="basic_btn5" value="戻る" onClick="return_reload_focus2();"></div>
    <br class="clear_both"><br>
    <span class="p_edit_guide">　※ＣＴＡボタンを変更する場合は、ＣＴＡボタンの画像をクリックしてください。</span>
    <br><br>
    </div>
</div>
</div>
</body>
<script>
jQuery(function() {
	jQuery(".edit_area1").css("min-height","0px");
});
</script>
<script type="text/javascript">window.focus();</script>
</html>
