<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック

	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	
	// 初期化
	$_SESSION['errmsg'] = NULL;
	$uri_array 	= explode( "?", $_SERVER["REQUEST_URI"] );
	$id 		= $_GET["id"];
	$pos		= $_GET["pos"];
	$proc		= $_GET["proc"];
	if (!$_GET["modoru"]) {				// 確認画面からの戻り以外
		$_SESSION["id"] 		= $_GET["id"];
		$_SESSION["pos"]		= $_GET["pos"];
		$_SESSION["proc"]		= $_GET["proc"];
	}
	
	$param		= "?proc=".$proc."&amp;pos=".$pos."&amp;id=".$id;
	$_SESSION["req_uri_sns_btn_sel"] = $uri_array[0].$param;
	if (!$_GET["modoru"]) {
		$sql = "SELECT * FROM top_page_sns_btn";
		//echo '<br>$sql='.$sql;	// debug
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$sns_btn_kbn = $row["sns_btn_kbn"];
			$facebook_btn_umu 	= $sns_btn_kbn%10;			// 1桁目（facebookボタン表示有無）
			$tweet_btn_umu 		= ($sns_btn_kbn/10)%10;		// 2桁目（ツイートボタン表示有無）
			$google_btn_umu 	= ($sns_btn_kbn/100)%10;	// 3桁目（google+ボタン表示有無）
			$fb_share_btn_umu 	= ($sns_btn_kbn/1000)%10;	// 3桁目（google+ボタン表示有無）
			$ogp_site_name				= $row["ogp_site_name"];
			$ogp_title 					= $row["ogp_title"];
			$ogp_description 			= $row["ogp_description"];
			$_SESSION['upload_file']	= 'data/uploads/'.$row["ogp_img"];
			$sns_ogp_data_ari			= true;
			$top_dsp_kbn				= 0;
			$bottom_dsp_kbn				= 0;
			if ($row["top_dsp_kbn"] == 0) {			// 既に上端が表示されていル場合
				if ($_GET["pos"] == "top") {		// 既に上端の表示されていて、上端の[SNSボタン変更]がクリックされた場合
					$top_dsp_kbn	= 1;
				}else
				if ($_GET["pos"] == "bottom") {		// 既に上端の表示されていて、下端の[SNSボタン変更]がクリックされた場合
					$top_dsp_kbn	= 0;
					$bottom_dsp_kbn	= 1;
				}
			}else
			if ($row["top_dsp_kbn"] == 1) {			// 既に下端が表示されていル場合
				if ($_GET["pos"] == "top") {		// 既に下端の表示されていて、上端の[SNSボタン変更]がクリックされた場合
					$top_dsp_kbn	= 1;
				}else
				if ($_GET["pos"] == "bottom") {		// 既に下端の表示されていて、下端の[SNSボタン変更]がクリックされた場合
					$top_dsp_kbn	= 1;
					$bottom_dsp_kbn	= 1;
				}
			}
			
			if ($row["bottom_dsp_kbn"] == 0) {			// 既に上端が表示されていル場合
				if ($_GET["pos"] == "top") {		// 既に上端の表示されていて、上端の[SNSボタン変更]がクリックされた場合
					$top_dsp_kbn	= 1;
					$bottom_dsp_kbn	= 0;
				}else
				if ($_GET["pos"] == "bottom") {		// 既に上端の表示されていて、下端の[SNSボタン変更]がクリックされた場合
					$bottom_dsp_kbn	= 1;
				}
			}else
			if ($row["bottom_dsp_kbn"] == 1) {			// 既に下端が表示されていル場合
				if ($_GET["pos"] == "top") {		// 既に下端の表示されていて、上端の[SNSボタン変更]がクリックされた場合
					$top_dsp_kbn	= 1;
					$bottom_dsp_kbn	= 1;
				}else
				if ($_GET["pos"] == "bottom") {		// 既に下端の表示されていて、下端の[SNSボタン変更]がクリックされた場合
					$bottom_dsp_kbn	= 1;
				}
			}
		}else{
			$facebook_btn_umu 			= 1;	// 1桁目（facebookボタン表示有無）
			$fb_share_btn_umu 			= 1;	// 1桁目（facebookボタン表示有無）
			$tweet_btn_umu 				= 1;	// 2桁目（ツイートボタン表示有無）
			$google_btn_umu 			= 0;	// 3桁目（google+ボタン表示有無）
			$ogp_site_name				= NULL;
			$ogp_title 					= NULL;
			$ogp_description 			= NULL;
			$_SESSION['upload_file']	= NULL;
			if ($_GET["pos"] == "top")		$top_dsp_kbn	= 1;
			if ($_GET["pos"] == "bottom")	$bottom_dsp_kbn	= 1;
		}
		
	}else{	// 確認画面から戻ったとき																					
			$facebook_btn_umu 	= $_SESSION["tweet_button_input"];	// 1桁目（facebookボタン表示有無）
			$fb_share_btn_umu 	= $_SESSION["like_button_input"];	// 1桁目（facebookボタン表示有無）
			$tweet_btn_umu 		= $_SESSION["share_button_input"];	// 2桁目（ツイートボタン表示有無）
			$google_btn_umu 	= $_SESSION["google_button_input"];	// 3桁目（google+ボタン表示有無）
			$ogp_site_name 		= $_SESSION["ogp_site_name"];
			$ogp_title 			= $_SESSION["ogp_title"];
			$ogp_description 	= $_SESSION["ogp_description"];
			$top_dsp_kbn		= $_SESSION["top_dsp_kbn_input"];
			$bottom_dsp_kbn		= $_SESSION["bottom_dsp_kbn_input"];
	}
	
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System　サイドエリア｜ソーシャルボタンの選択</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssshop/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/contents_shop_page.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/floater_contents.js"></script>
</head>
<body>
<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div  class="p_contentstitle">ソーシャルボタンの選択</div>
		<div class="p_login_box">
    	<div class="p_login">
    	Login: <b><?php echo $_SESSION['name']; ?></b><a href="cms_logout.php">【ログアウト】</a>
		</div>
        </div><br>
<div class="p_contents_subarea">
<p class="p_edit_guide4">以下の１、２、３を選択/入力し、[確認]ボタンをクリックしてください。
<br>※２、３は上端/下端共通です。</p><br>
<form action="./cms_index_contents_mng_sns_btn_sel_kakunin.php?proc=<?php echo $_SESSION["proc"];?>&amp;pos=<?php echo $_SESSION["pos"];?>&amp;id=<?php echo$_SESSION["id"];?>" method="POST" enctype="multipart/form-data">
<?php
echo '<div style="float:left;"><span class="p_edit_guide4">１．セクションの上端/下端表示</span></div>';
echo "<br class=\"clear_both\">";
$top_dsp_check1 	= NULL;
$top_dsp_check2 	= NULL;
$buttom_dsp_check1	= NULL;
$buttom_dsp_check2	= NULL;
if ($top_dsp_kbn == 1) 		$top_dsp_check1 	= "checked";
if ($bottom_dsp_kbn == 1) 	$buttom_dsp_check1	= "checked";
if ($top_dsp_kbn == 0)		$top_dsp_check2 	= "checked";
if ($bottom_dsp_kbn == 0) 	$buttom_dsp_check2	= "checked";

echo '<div style="float:left;">　上端に　<input type="radio" name="top_dsp_kbn_input" value="1" '. $top_dsp_check1.'>表示する　<input type="radio" name="top_dsp_kbn_input" value="0" '. $top_dsp_check2.'>表示しない</div>';
echo "<br class=\"clear_both\">";
echo '<div style="float:left;">　下端に　<input type="radio" name="bottom_dsp_kbn_input" value="1" '. $buttom_dsp_check1.'>表示する　<input type="radio" name="bottom_dsp_kbn_input" value="0" '. $buttom_dsp_check2.'>表示しない</div>';
echo "<br class=\"clear_both\"><br>";
echo '<span class="p_edit_guide4">２．表示するソーシャルボタンを選択してください（上端/下端共通）。</span>';
echo "<br class=\"clear_both\">";
if ($facebook_btn_umu == "1") {
	$like_check1	= "checked";
	$like_check2	= NULL;
}else{
	$like_check1	= NULL;
	$like_check2	= "checked";
}
if ($fb_share_btn_umu == "1") {
	$share_check1	= "checked";
	$share_check2	= NULL;
}else{
	$share_check1	= NULL;
	$share_check2	= "checked";
}
if ($tweet_btn_umu == "1") {
	$tweet_check1	= "checked";
	$tweet_check2	= NULL;
}else{
	$tweet_check1	= NULL;
	$tweet_check2	= "checked";
}

if ($google_btn_umu == "1") {
	$google_check1	= "checked";
	$google_check2	= NULL;
}else{
	$google_check1	= NULL;
	$google_check2	= "checked";
}

echo "<div style=\"float:left;width:95px;margin-left:10px;\"><img src=\"img/button/tweet.png\" alt=\"icon\" align=\"absmiddle\"></div>";
echo "<div style=\"float:left;width:95px;margin-left:10px;\"><img src=\"img/button/like_button.png\" alt=\"icon\" align=\"absmiddle\"></div>";
echo "<div style=\"float:left;width:95px;margin-left:10px;\"><img src=\"img/button/share_button.png\" alt=\"icon\" align=\"absmiddle\"></div>";
echo "<br class=\"clear_both\">";
echo "<div class=\"twitter-button_box2\"><input type=\"radio\" name=\"tweet_button_input\" value=\"1\" ". $tweet_check1.">表示する<br>
          	<input type=\"radio\" name=\"tweet_button_input\" value=\"0\" ". $tweet_check2.">しない";
echo "</div>";
echo "<div class=\"facebook-button_box2\"><input type=\"radio\" name=\"like_button_input\" value=\"1\" ". $like_check1.">表示する<br>
          	<input type=\"radio\" name=\"like_button_input\" value=\"0\" ". $like_check2.">しない";
echo "</div>";
echo "<div class=\"facebook-button_box2\"><input type=\"radio\" name=\"share_button_input\" value=\"1\" ". $share_check1.">表示する<br>
          	<input type=\"radio\" name=\"share_button_input\" value=\"0\" ". $share_check2.">しない";
echo "</div>";
echo "<br class=\"clear_both\">";
echo '<span class="aka2">※ＳＮＳボタンはセクションの上端と下端に表示できますが<br>　[いいね！][シェア]の件数は、上端と下端で同じものが表示されます。</span>';
echo "<br><br>";
echo '<span class="p_edit_guide4">３．ボタンがクリックされたときにＳＮＳ側に表示される「画像/写真」「タイトル」「説明」を入力してください<br>　（上端/下端共通）。</span>';
echo '<br class="clear_both"><br>';

echo '<div class="p_edit_title">画像/写真</div>　※省略すると「画像/写真」は表示されません。';
echo "<br class=\"clear_both\">";
if (($_GET["modoru"] || $proc == "upd" || $sns_ogp_data_ari) && $_SESSION['upload_file'] <> "") {
	echo '　<div class="p_sel_img2">';
	echo '<img src="'.$_SESSION['upload_file'].'">';
	echo '</div>';
	echo "<br class=\"clear_both\">";
}
echo '　<input type="file" name="filename" size="50"><br>　<span class="aka1">※添付できるのはJPEG/PNG/GIF形式のファイルのみです。<br>
　※画像のサイズは486×255px（横×縦）のときに等倍でピッタリと表示されます。<br>
　　これよりも大きなサイズの画像は横幅486pxに縮小されます。</span>';
echo "<br class=\"clear_both\"><br>";
$domain_name = domain_user();
echo '<div class="p_edit_title">サイト名</div>　※省略した場合は「'.$domain_name.'」がSNS側に表示されます。';
echo "<br class=\"clear_both\">";
echo '　<input type="text" name="ogp_site_name" value="'.$ogp_site_name.'">';
echo "<br class=\"clear_both\"><br>";
echo '<div class="p_edit_title">タイトル</div>　※省略した場合は、管理ページ「検索対策」で登録した「タイトル」が、SNS側に表示されます。';
echo "<br class=\"clear_both\">";
echo "　<textarea name=\"ogp_title\" cols=\"58\" rows=\"1\">";
echo $ogp_title; 
echo "</textarea>";
echo "<br class=\"clear_both\"><br>";
echo '<div class="p_edit_title">説明文</div>　※省略した場合は、管理ページ「検索対策」で登録した「説明文」が、SNS側に表示されます。';
echo "<br class=\"clear_both\">";
echo "　<textarea name=\"ogp_description\" cols=\"50\" rows=\"5\">";
echo $ogp_description; 
echo "</textarea>";
echo "<br class=\"clear_both\"><br>";
?>
<div class="p_button_kakunin3"><input type="submit" value="　確認　" ></div>
<div class="p_button_modoru2"><input type="button" value="　戻る　" onClick="window.open('about:blank','_self').close();"></div>
<br class="clear_both">
</form>
</div><!-- end class="p_contents_subarea" -->
<br class="clear_both">
</div><!-- end id="mainarea"-->
</div><!-- end id="contents_page"-->
<br class="clear_both">
</div><!-- end id="container"-->
</body>
<script type="text/javascript">window.focus();</script>
</html>
