<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$proc	 					= $_SESSION["proc"];
	$top_dsp_kbn				= $_SESSION["top_dsp_kbn_input"];
	$bottom_dsp_kbn				= $_SESSION["bottom_dsp_kbn_input"];
	$tweet_button_input			= $_SESSION['tweet_button_input'];
	$like_button_input			= $_SESSION['like_button_input'];
	$share_button_input			= $_SESSION['share_button_input'];
	$google_button_input		= $_SESSION['google_button_input'];
	$domain_name 				= domain_user();
	if ($_SESSION["ogp_site_name"] <> NULL) {
		$ogp_site_name 				= $_SESSION["ogp_site_name"];
	}else{
		$ogp_site_name 				= $domain_name;
	}
	$ogp_title 					= $_SESSION["ogp_title"];
	$ogp_img					= str_replace('data/uploads/', '', $_SESSION['upload_file']);
	$ogp_description 			= $_SESSION["ogp_description"];
	$sql = "SELECT * FROM index_page_tbl";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$page_title 		= $row["page_title"];
		$page_description 	= $row["page_description"];
	}else{
		$page_title 		= "Ｆｉｎｅｌｐで作成されたランディングページ";
		$page_description 	= "このランディングページは「Finelp」で作成されています。";
	}
	if ($_SESSION["ogp_title"] <> NULL && $_SESSION["ogp_title"] <> "") $page_title = $_SESSION["ogp_title"];
	if ($_SESSION["ogp_description"] <> NULL && $_SESSION["ogp_description"] <> "") $page_description = $_SESSION["ogp_description"];
	if ($_SESSION["upload_file"] <> NULL && $_SESSION["upload_file"] <> "") $img_file = str_replace('data/uploads/', '', $_SESSION['upload_file']);

	$sns_btn_kbn = $like_button_input + $tweet_button_input*10 + $google_button_input*100 + $share_button_input*1000;
	$sql = "SELECT * FROM top_page_sns_btn";
	//echo '<br>$sql='.$sql;	// debug
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$id					= $row["id"];
		update_top_page_sns_btn($conn, $id, $top_dsp_kbn, $bottom_dsp_kbn, $sns_btn_kbn, $ogp_site_name, $ogp_title, $ogp_img, $ogp_description);
		$ogp_img_old		= "data/uploads/".$row["ogp_img"];
		if ($_SESSION['upload_file'] <> $ogp_img_old) {				// 画像が変更された場合
			unlink($ogp_img_old);										// 変更前の画像をサーバーから削除する。
		}
	}else{
		$id = insert_top_page_sns_btn($conn, $top_dsp_kbn, $bottom_dsp_kbn, $sns_btn_kbn, $ogp_site_name, $ogp_title, $ogp_img, $ogp_description);
	}
	
	print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
	print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。
	
	print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";					// 自分自身を閉じる。
?>
