<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	// 不正アクセスチェック
	require_once 'cms_access_check.php';
	// ログインチェック
	require_once 'check_login_message.php';
	include 'function_pdo.php';
	include 'function_cms.php';
	$conn 		= init_sqlite();
	
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$uri_param0 = str_replace("/hp_ref/","",$uri_param[0]);
	$_SESSION["cms_manager_req_uri"] = $uri_param0;
	$hp_url	  	= user_domain();
	$hp_ref		= NULL;
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>ホームページ管理画面</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<noscript> 
<meta http-equiv="Refresh" content="0;cms_noscript.php"> 
</noscript> 
<script src="jQuery/jquery-3.2.1.min.js"></script>
<script src="js/cms_proc.js"></script>
<script>
	$(function () {
		var token_vlue = window.opener.$("meta[name='token']").attr('content');
		//alert("token_vlue="+token_vlue);
		//alert("csrf_post_value="+"<?php// echo $_SESSION["csrf_chk_value"];?>");
		if (token_vlue != "<?php echo $_SESSION["csrf_chk_value"];?>") {
			var atag = document.createElement("a");
			atag.setAttribute("href", "cms_deny_access.php");
			atag.setAttribute("target", "_blank");
			atag.style.display = "none";
			document.body.appendChild(atag);
			atag.click();
			window.open('about:blank','_self').close();
		}
	});
</script>
</head>
<body>
<div id="container_cms">
<?php
$cms_manager = true;
include("./cms_parts_header.php"); 
?>
</div>
<div id="mainarea_contents_cms">
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">ランディングページの編集</div>
    <div class="p_proc_area_manager_in">
        ランディングページを編集する場合は「ランディングページの編集」をクリックしてください。<br>
        <br>
        <div class="p_button">
			<a href="cms_index.php?mode=1" target="_blank"><div class="basic_btn_large">ランディングページの編集</div></a>
        </div>
        <br class="clear_both">
        <div class="p_button">
			<a href="../" target="_blank"><div class="basic_btn">ランディングページの参照</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    
    <br class="clear_both">
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">ＣＴＡ登録情報管理</div>
    <div class="p_proc_area_manager_in">
    	ＣＴＡボタンをクリックしてお客様が登録した情報の確認/変更/削除が出来ます。<br>
        ※infotop決済、外部処理では登録されません。
        <div class="p_button">
        	<a href="cms_manager_cta_info_mng.php" target="_blank"><div class="basic_btn">ＣＴＡ登録情報管理</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    <br class="clear_both">
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">顧客情報管理</div>
    <div class="p_proc_area_manager_in">
    	お客様が登録した情報の確認/変更/追加/削除が出来ます。<br>
        ※infotop決済、外部処理では登録されません。
        <div class="p_button">
        	<a href="cms_manager_customer_mng.php" target="_blank"><div class="basic_btn">顧客情報管理</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    <br class="clear_both">    
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">メール配信</div>
    <div class="p_proc_area_manager_in">
    	あらかじめ登録したメールアドレスに一斉配信出来ます。メルマガ等でもご利用いただけます。<br>
        メールはＨＴＭＬ形式で配信されます。
        [メール一斉配信]ボタンをクリックすると一斉配信用管理ページが開きます。<br>
        <div class="p_button">
        	<a href="cms_manager_mail_at_once_mng.php" target="_blank"><div class="basic_btn">メール一斉配信</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    <br class="clear_both">    
    <div class="p_proc_area_manager">
    <div class="p_proc_title_manager">検索対策</div>
    <div class="p_proc_area_manager_in">
    Ｙａｈｏｏ！、Ｇｏｏｇｌｅ等で検索される際のタイトル、キーワードを登録する場合は「検索対策」をクリックしてください。<br>
        <div class="p_button">
        	<a href="cms_search_key_edit.php" target="_blank"><div class="basic_btn">検索対策</div></a>
        </div>
        <br class="clear_both">
    </div>
    </div>
    <?php
    //お知らせ承認待ちコメント
    $sql = 'SELECT COUNT(*) cnt FROM contents_news_comment where comment_kbn = 2';
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $rowcnt = $stmt->fetch(PDO::FETCH_ASSOC);
    if ($rowcnt["cnt"] > 0) {
		echo '<div class="p_proc_area_manager">';
        echo '<div class="p_proc_title_manager">【お知らせ】承認待ちコメント</div>';
        echo '<div class="p_proc_area_manager_in">承認待ちコメントを管理する場合は「<span class="p_aka_underline">承認待ち</span>」をクリックしてください。<br>';
        echo '<div class="p_manager_item1_title">お知らせボタン名</div><div class="p_manager_item2_title">記事タイトル</div><div class="p_manager_item3_title">承認待ちコメントタイトル</div><div class="p_manager_item4_title">状態</div>';
        echo '<br class="clear_both">';
        $_SESSION["news_data_req_uri"] = $_SESSION["cms_manager_req_uri"];
    
        $sql = 'SELECT * FROM contents_news_comment where comment_kbn = 2 ORDER BY news_id DESC';
        //echo "<br>sql=".$sql;
        $stmtnewscmt = $conn->prepare($sql);
        $stmtnewscmt->execute();
        while ($rownewscmt = $stmtnewscmt->fetch(PDO::FETCH_ASSOC)) {
            $sql = 'SELECT * FROM contents_page_ctrl where page_table = "contents_news_page" and page_id = '.$rownewscmt["news_page_id"];
            //echo "<br>sql=".$sql;
            $stmtctrl = $conn->prepare($sql);
            $stmtctrl->execute();
            if ($rowctrl = $stmtctrl->fetch(PDO::FETCH_ASSOC)) {
                
                // お知らせボタン名を取得
                $sql = "SELECT * FROM ".$rowctrl["button_tbl"]." where id = ".$rowctrl["button_tbl_id"];
                $stmt = $conn->prepare($sql);
                $stmt->execute();
                if ($rowb = $stmt->fetch(PDO::FETCH_ASSOC)) {
                    if ($rowctrl["button_tbl"] == "menubutton") {
                        $btn_name_w = explode("\n",$rowb["button_kanjiname"]);
                        $btn_name	= $btn_name_w[0];				// ボタン名（1段目）
                    }else{
                        $btn_name 	= $rowb["button_name"];
                    }
                }
                // 記事タイトルを取得
                $sql = "SELECT * FROM contents_news_data where id = ".$rownewscmt["news_id"];
                $stmt = $conn->prepare($sql);
                $stmt->execute();
                $row = $stmt->fetch(PDO::FETCH_ASSOC);
                if ($row["title_icon_path"] <> NULL) {
                    $icon = "<div class=\"p_blogunit_icon\"><img id=\"icon-img\" src=\"".$domain_hp_ciry."/hp_ref/".$row["title_icon_path"]."\" align=\"top\"></div>";
                }else{
                    $icon = NULL;
                }
                //お知らせコメント管理ページurlをセット
                if ($rowctrl["button_tbl"] == "menubutton") {
                    $menu_kbn = 1;
                } else
                if ($rowctrl["button_tbl"] == "side_menubutton") {
                    $menu_kbn = 2;
                } else {
                    $menu_kbn = 3;
                }
                $btn_id = $rowctrl["button_tbl_id"];
                $page_id = $rowctrl["id"];
                $news_data_id = $rownewscmt["news_id"];
                $a_start = '<a href="cms_contents_page_create.php?menu_kbn='.$menu_kbn.'&btn_id='.$btn_id.'&page_id='.$page_id.'&newsproc=commentmngunit&cmpage_cnt=1&dsp_root=menu&news_data_id='.$news_data_id.'">';
                
                echo '<div class="p_manager_item1">'.$btn_name.'</div><div class="p_manager_item2">'.$icon.$row["news_title"] . '</div><div class="p_manager_item3">'.$rownewscmt["title"].'</div><div class="p_manager_item4">'.$a_start.'承認待ち</a></div>';
                echo "<br class=\"clear_both\">";
            }
        }
        echo '</div>';
        echo '</div>';
    }
    ?>
    <br>
</div><!-- end .container -->
<script type="text/javascript">window.focus();</script>
</body>
</html>
