<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	date_default_timezone_set('Asia/Tokyo');
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_ipn.php';
	include 'function_pdo_shop.php';
	include 'function_pdo_shop_ipn.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn 		= init_sqlite();
	$connipn 	= init_sqlite_ipn();
	$connshp 	= init_sqlite_shop();
	$connshpipn = init_sqlite_shop_ipn();
	$uri_param 	= explode( '?', $_SERVER['REQUEST_URI'] );
	$_SESSION["uri_mail_at_once_entry"] = $uri_param[0];
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜メール宛先管理</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_contents_page.css" rel="stylesheet" type="text/css">
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css"><!-- レイアウト、書式等設定 -->
<link href="cssfiles/cms_manager.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/cms_proc.js"></script>
</head>
<div id="container">
<div id="contents_page"><!-- CMSコンテンツ start -->
<div id="mainarea"><!-- メインコンテンツ start -->
<div class="p_contentstitle">メール宛先管理</div>
 <br class="clear_both">
<div class="p_contents_subarea">
<div class="p_proc_area_manager">
<div class="p_proc_title_manager">メールアドレスの追加</div>
<div class="p_proc_area_manager_in">
    <p>メールアドレスを追加する場合は「メールアドレスを追加する」をクリックしてください。</p>
    <div class="p_button_right">
    <a href="cms_manager_mail_at_once_entry_add.php?proc=add" target="_blank"><div class="basic_btn">メールアドレスを追加する</div></a>
    </div>
    <br class="clear_both">
</div>
</div>
<div class="p_proc_area_manager">
<div class="p_proc_title_manager">メールアドレスの修正または削除</div>
<div class="p_proc_area_manager_in">
<p>メールアドレス、氏名、氏名（カナ）を修正または削除する場合は、<br>氏名（カナ）右側の「修正」または「削除」をクリックしてください。</p>
    <br class="clear_both">
</div>
</div>
<br class="clear_both">
<table cellpadding="2" cellspacing="0" class="p_order">
<tr>
<td class="p_tdhs">メールアドレス</td><td class="p_tdh">氏名</td><td class="p_tdh">氏名（カナ）</td>
</tr>
<?php
// PayPal決済後に登録されたデータを処理する。
$sql = "SELECT * FROM customer_info_ipn WHERE (mail_magazine = 1) ORDER BY update_time DESC";
$stmtcs = $connshpipn->prepare($sql);
$stmtcs->execute();
while($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
	$a_start 	= '<a href="cms_manager_mail_at_once_entry_add.php?ipn=1&proc=upd&id='.$rowcs["id"].'" target="_new">';
	$a_end		= '</a>';
	$update		= '<div class="basic_btn6" style="margin-left:8px;"><a href="cms_manager_mail_at_once_entry_add.php?ipn=1&proc=upd&id='.$rowcs["id"].'" target="_blank">修正</a></div>';
	$delete		= '<input type="button" value="削除" class="basic_btn6" onClick="customer_info_mail_del('.$rowcs["id"].',1,\''.$rowcs["e_mail"].'\',\''.$rowcs["name"].'\')">';
	echo '<tr>';
	echo '<td class="p_tds">'.$a_start.$rowcs["e_mail"].$a_end.'</td><td class="p_td">'.$a_start.$rowcs["name"].$a_end.'</td><td class="p_td">'.$a_start.$rowcs["name_kana"].$a_end.'</td>';
	echo '<td>'.$update.'</td><td>'.$delete.'</td>';
	echo '</tr>';
}
// メルマガ登録、お問合せで登録されたデータを処理する。
$sql = "SELECT * FROM customer_info WHERE (mail_magazine = 1) ORDER BY update_time DESC";
$stmtcs = $connshp->prepare($sql);
$stmtcs->execute();
while($rowcs = $stmtcs->fetch(PDO::FETCH_ASSOC)) {
	$a_start 	= '<a href="cms_manager_mail_at_once_entry_add.php?ipn=0&proc=upd&id='.$rowcs["id"].'" target="_new">';
	$a_end		= '</a>';
	$update		= '<div class="basic_btn6" style="margin-left:8px;"><a href="cms_manager_mail_at_once_entry_add.php?ipn=0&proc=upd&id='.$rowcs["id"].'" target="_blank">修正</a></div>';
	$delete		= '<input type="button" value="削除" class="basic_btn6" onClick="customer_info_mail_del('.$rowcs["id"].',0,\''.$rowcs["e_mail"].'\',\''.$rowcs["name"].'\')">';
	echo '<tr>';
	echo '<td class="p_tds">'.$a_start.$rowcs["e_mail"].$a_end.'</td><td class="p_td">'.$a_start.$rowcs["name"].$a_end.'</td><td class="p_td">'.$a_start.$rowcs["name_kana"].$a_end.'</td>';
	echo '<td>'.$update.'</td><td>'.$delete.'</td>';
	echo '</tr>';
}
?>
</table>
<br class="clear_both">
<div class="btn"><input type="button" value="　戻る　" onClick="return_focus2();"></div>
<br class="clear_both">
</div>
</div>
</div>
<!-- end .container --></div>
</body>
<script type="text/javascript">window.focus();</script>
</html>
