<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_pdo_shop.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	$connshp 	= init_sqlite_shop();			// ネットショップ関連TABLEを作成、関数を定義
	$_SESSION["errmsg"] = NULL;
	if ($_POST["title_input"] == NULL) 		$_SESSION["errmsg"] .= "タイトルが入力されていません！<br>\n";
	if ($_POST["contents_input"] == NULL) 	$_SESSION["errmsg"] .= "本文が入力されていません！";
	if ($_SESSION["errmsg"] <> NULL) {
		header('Location: cms_manager_mail_at_once_teikeibun_edit.php?err=1');
		exit;
	}
	if ($_SESSION["proc"] == "add") {
		$title = $_POST["title_input"];
		$honbun = $_POST["contents_input"];
		$honbun_teikeibun_id = insert_mail_at_once_honbun_teikeibun($connshp, $orderno, $title, $honbun);
		// DB上の画像ファイル名を変更する。"contents_access_map_data_0"
		$old_file_name_subsrt = "mail_at_once_honbun_teikeibun_0_";
		$new_file_name_subsrt = "mail_at_once_honbun_teikeibun_". $honbun_teikeibun_id."_";
		$old_file_name_pdf_subsrt 	= "pdf_mail_at_once_honbun_teikeibun_0_";
		$new_file_name_pdf_subsrt 	= "pdf_mail_at_once_honbun_teikeibun_". $row["id"]."_";
		$old_file_name_zip_subsrt 	= "zip_mail_at_once_honbun_teikeibun_0_";
		$new_file_name_zip_subsrt 	= "zip_mail_at_once_honbun_teikeibun_". $row["id"]."_";
		// DB上の画像ファイル名を変更
		$id		= $honbun_teikeibun_id;
		$honbun = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $honbun);
		$honbun = str_replace($old_file_name_pdf_subsrt, $new_file_name_pdf_subsrt, $honbun);
		$honbun = str_replace($old_file_name_zip_subsrt, $new_file_name_zip_subsrt, $honbun);
		update_mail_at_once_honbun_teikeibun($connshp, $id, $orderno, $title, $honbun);
		//********************************************************************************************
		// サーバー上の画像ファイル名を変更し、記事中に存在しない画像ファイルをサーバーから削除する。
		//********************************************************************************************
		$db_proc					= "add";
		$contents 					= $honbun;
		$img_using_table_col_name	= "mail_at_once_honbun_teikeibun";
		$img_using_table_id			= $honbun_teikeibun_id;
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		//************************************************************************************************
		// サーバー上のPDFファイル名を変更し、記事中に存在しないPDFファイルをサーバーから削除する。
		//************************************************************************************************
		$db_proc					= "add";
		$contents 					= $honbun;
		$img_using_table_col_name	= "mail_at_once_honbun_teikeibun";
		$img_using_table_id			= $honbun_teikeibun_id;
		upload_pdf_del($conn2, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		//*************************************************************************************************************************************************************************************************************
		// サーバー上のZIPファイル名を変更（「"zip_page_data_contents_0"」から「"zip_page_data_contents_". $img_using_table_id」）し、記事中に存在しないzipファイル「"zip_page_data_contents_0_*"」をサーバーから削除する。
		//**************************************************************************************************************************************************************************************************************
		$db_proc					= "add";
		$contents 					= $honbun;
		$img_using_table_col_name	= "mail_at_once_honbun_teikeibun";
		$img_using_table_id			= $honbun_teikeibun_id;
		upload_zip_del($conn2, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
	}else{
		$honbun = $_POST["contents_input"];
		// 画像ファイル名を変更する。"img_slide1_0"
		$old_file_name_subsrt = "mail_at_once_honbun_teikeibun_0_";
		$new_file_name_subsrt = "mail_at_once_honbun_teikeibun_". $_SESSION['sel_id']."_";
		$old_file_name_pdf_subsrt 	= "pdf_mail_at_once_honbun_teikeibun_0_";
		$new_file_name_pdf_subsrt 	= "pdf_mail_at_once_honbun_teikeibun_". $_SESSION["sel_id"]."_";
		$old_file_name_zip_subsrt 	= "zip_mail_at_once_honbun_teikeibun_0_";
		$new_file_name_zip_subsrt 	= "zip_mail_at_once_honbun_teikeibun_". $_SESSION["sel_id"]."_";
		// DB上の画像ファイル名を変更
		$honbun = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $honbun);
		
		$honbun = str_replace($old_file_name_pdf_subsrt, $new_file_name_pdf_subsrt, $honbun);
		$honbun = str_replace($old_file_name_zip_subsrt, $new_file_name_zip_subsrt, $honbun);
		$sql_tmp = "update mail_at_once_honbun_teikeibun set
						title			= :title,
						honbun			= :honbun,
						update_time 	= :update_time
						where id		= :id";
		$title 		= $_POST["title_input"];
		$stmt = $connshp->prepare($sql_tmp);
		$stmt->bindParam(":id", $_SESSION['sel_id']);
		$stmt->bindParam(":title", $title);
		$stmt->bindParam(":honbun", $honbun);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		//********************************************************************************************
		// サーバー上の画像ファイル名を変更し、記事中に存在しない画像ファイルをサーバーから削除する。
		//********************************************************************************************
		$db_proc					= "upd";
		$contents					= $honbun;
		$img_using_table_col_name	= "mail_at_once_honbun_teikeibun";
		$img_using_table_id			= $_SESSION['sel_id'];
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		//************************************************************************************************
		// サーバー上のPDFファイル名を変更し、記事中に存在しないPDFファイルをサーバーから削除する。
		//************************************************************************************************
		$db_proc					= "upd";
		$contents 					= $honbun;
		$img_using_table_col_name	= "mail_at_once_honbun_teikeibun";
		$img_using_table_id			= $_SESSION['sel_id'];
		upload_pdf_del($conn2, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		//*************************************************************************************************************************************************************************************************************
		// サーバー上のZIPファイル名を変更（「"zip_page_data_contents_0"」から「"zip_page_data_contents_". $img_using_table_id」）し、記事中に存在しないzipファイル「"zip_page_data_contents_0_*"」をサーバーから削除する。
		//**************************************************************************************************************************************************************************************************************
		$db_proc					= "upd";
		$contents 					= $honbun;
		$img_using_table_col_name	= "mail_at_once_honbun_teikeibun";
		$img_using_table_id			= $_SESSION['sel_id'];
		upload_zip_del($conn2, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
	}
print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。

print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>