<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	include 'src/function_cms2.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$conn2 = init_sqlite2();
	
if ($_SESSION['process'] == "add") {
	$sql = "SELECT * FROM img_slide1 ORDER BY slide_no DESC";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
	// 記事追加
	$news_title			= $_SESSION['news_title_input'];
	$news_contents		= $_SESSION['news_contents_input'];
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$slide_no = $row["slide_no"] + 1;
	}else{
		$slide_no = 1;
	}
	$img_cnt = 1;
	if (preg_match('/template/',$_SESSION['upload_name_slide'])) {
		$db_contents1	= $_SESSION['upload_name_slide'];		// 画像パスを置換（無料コースから独自ドメインコースへの移行を可能にするため）
	}else{
		$db_contents1	= $_SESSION['upload_name_slide'];		// 画像パスを置換（無料コースから独自ドメインコースへの移行を可能にするため）
	}
	$img1_url 		= $db_contents1;
	$img2_url 		= NULL;
	$img1_link_url 	= NULL;
	$img2_link_url 	= NULL;
	$img1_overtext 	= $_SESSION['dsp_img1_overtext_input'];
	$img2_overtext 	= NULL;
	$slide_title	= $_SESSION['slide_title_input'];
	$img_slide1_id = insert_img_slide1($conn, $slide_no, $img_cnt, $img1_url, $img2_url, $img1_link_url, $img2_link_url, $img1_overtext, $img2_overtext, $slide_title);
	// 画像ファイル名を変更する。"img_slide1_0"
	$sql = "SELECT * FROM img_slide1 where (id = ". $img_slide1_id.")";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		if (!preg_match('/template/',$_SESSION['upload_name_slide'])) {
			$file_name_old 	= $_SESSION['upload_name_slide'];
			$file_name_new 	= str_replace("img_slide1_img1_url_0", "img_slide1_img1_url_".$row["id"], $file_name_old);
			$file_path_old	= $file_name_old;
			$file_path_new 	= $file_name_new;
			rename($file_path_old, $file_path_new);
			$db_contents1	= $file_path_new;
			$img1_url		= $db_contents1;
		}
		$old_file_name_subsrt = "img_slide1_0_";
		$new_file_name_subsrt = "img_slide1_". $row["id"]."_";
		// DB上の画像ファイル名を変更
		$img1_overtext = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $row["img1_overtext"]);
		update_img_slide1($conn, $row["id"], $slide_no, $img_cnt, $img1_url, $img2_url, $img1_link_url, $img2_link_url, $img1_overtext, $img2_overtext, $slide_title);
		//**********************************************************
		// 記事中に存在しない画像ファイルをサーバーから削除する。
		//**********************************************************
		$db_proc				= "add";
		$contents 				= $img1_overtext;
		$img_using_table_name	= "img_slide1";
		$img_using_table_id		= $img_slide1_id;
		upload_img_del($conn2, $db_proc, $contents, $img_using_table_name, $img_using_table_id);
	}
}else {													// 記事更新
	// 画像ファイル名を変更する。"img_slide1_0"
	$old_file_name_subsrt = "img_slide1_0_";
	$new_file_name_subsrt = "img_slide1_". $_SESSION['sel_id']."_";
	// DB上の画像ファイル名を変更
	$_SESSION['dsp_img1_overtext_input'] = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $_SESSION['dsp_img1_overtext_input']);
	$sql_tmp = "update img_slide1 set 
					img1_url				= :img1_url, 
					img1_overtext			= :img1_overtext, 
					slide_title				= :slide_title, 
					update_time 			= :update_time
					where id				= :id";
	if (preg_match('/template/',$_SESSION['upload_name_slide'])) {
		$img1_url		= $_SESSION['upload_name_slide'];
	}else{
		$file_name_old 	= $_SESSION['upload_name_slide'];
		$file_name_new 	= str_replace("img_slide1_img1_url_0", "img_slide1_img1_url_".$_SESSION['sel_id'], $file_name_old);
		$file_path_old	= $file_name_old;
		$file_path_new 	= $file_name_new;
		rename($file_path_old, $file_path_new);
		$db_contents1	= $file_path_new;
		$img1_url		= $db_contents1;
	}
	$img1_overtext 	= $_SESSION['dsp_img1_overtext_input'];
	$slide_title 	= $_SESSION['slide_title_input'];
	$stmt = $conn->prepare($sql_tmp);
	$stmt->bindParam(":id", $_SESSION['sel_id']);
	$stmt->bindParam(":img1_url", $img1_url);
	$stmt->bindParam(":img1_overtext", $img1_overtext);
	$stmt->bindParam(":slide_title", $slide_title);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	//**********************************************************
	// 記事中に存在しない画像ファイルをサーバーから削除する。
	//**********************************************************
	$db_proc				= "upd";
	$contents 				= $img1_overtext;
	$img_using_table_col_name	= "img_slide1";
	$img_using_table_id		= $_SESSION['sel_id'];
	upload_img_del($conn2, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
}
$_SESSION["slide1_edit"] = false;
print "<script type=\"text/javascript\">window.opener.location.reload();</script>";	// 親ページを更新する。
print "<script type=\"text/javascript\">window.opener.focus();</script>";			// 親ページを前面に表示する。

print "<script type=\"text/javascript\">window.open(\"about:blank\",\"_self\").close();</script>";	// 自分自身を閉じる。

?>
