<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	// セッションの復元
	session_start();
	require_once 'cms_access_check.php';		// 不正アクセスチェック
	require_once 'check_login_message.php';		// ログインチェック
	include 'function_pdo.php';
	include 'function_cms.php';
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	$_SESSION["upload_name_slide"] = NULL;	// 初期化
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" >
<title>Content Management System｜動画スライド１の編集</title>
<meta name="description" content="finelpはランディングページ作成用CMSです。販売ページを簡単に作成できます。">
<link href="cssfiles/common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_common.css" rel="stylesheet" type="text/css">
<link href="cssfiles/index.css" rel="stylesheet" type="text/css">
<link href="cssfiles/cms_slide1_mng.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="jQuery/jquery-3.2.1.min.js"></script>
<script type="text/javascript" src="js/cms_proc.js"></script>
<?php
	$sqlw = "SELECT count(*) cnt FROM img_slide1";
    $stmt = $conn->prepare($sqlw);
    $stmt->execute();
    $roww = $stmt->fetch(PDO::FETCH_ASSOC);
	$img_cntw = $roww["cnt"];
	echo "<link href=\"cssfiles/p_small_area_w$img_cntw.css\" rel=\"stylesheet\" type=\"text/css\">";
	if ($img_cntw < 8)	$_SESSION['adderrmsg'] = NULL;
	// スライドの表示形式チェック（スライドが削除されて３枚未満になった場合は、表示形式を０にする。
	if ($img_cntw < 3) {
		$sql = "SELECT * FROM img_slide1_op1";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowop = $stmt->fetch(PDO::FETCH_ASSOC)){
			if ($rowop["dsp_form"] == 1) {
				$dsp_form = 0;
				$sql_tmp = "update img_slide1_op1 set 
							dsp_form	= :dsp_form,
							update_time 		= :update_time
							where id			= :id";
				$stmt = $conn->prepare($sql_tmp);
				$stmt->bindParam(":id", $rowop["id"]);
				$stmt->bindParam(":dsp_form", $dsp_form);
				//更新日時
				$time 			= time();
				$update_time 	= date('Y/m/d H:i:s', $time);
				$stmt->bindParam(":update_time", $update_time);
				$stmt->execute();
			}
		}
		
	}
?>
</head>
<body>
<div id="container_slide">
<?php
	echo "<div class=\"p_cms_slide_title\">スライド１の編集</div>";
	echo "<div class=\"p_button_right\"><input type=\"submit\" value=\"戻る\" onClick=\"return_reload_focus2();\"></div>";
	echo "<br class=\"clear_both\">";
	echo "<div class=\"p_proc_area_slide\">";
	echo "<span class=\"p_proc_title_slide\">【スライドの追加】</span><br>";
	echo "　　スライドを追加する場合は、下の「スライドを追加する」をクリックしてください。<br>";
	echo "<span class=\"edit_memo\">　　※スライドは8枚まで追加できます。<br>";
	echo "　　※スライドが1枚の場合は静止画となり、ホームページで吹き出しは表示されません。</span>";
	echo "</div>";
	echo "<div class=\"p_button_right\">";
	echo '<a href="cms_slide1_edit.php?proc=add" target="_blank"><div class="basic_btn6" style="float:right;">スライドを追加する</div></a>';	
	echo "</div>";
	if (empty($_SESSION['adderrmsg'])) {
	}else {
		echo "<br class=\"clear_both\">";
		echo "<div class=\"p_err_msg2\" >";
		echo $_SESSION['adderrmsg'];
		echo "</div>";
	}
	echo "<br class=\"clear_both\">";
	echo "<div class=\"p_proc_area_slide\">";
	echo '<span class="p_proc_title_slide">【スライドの表示形式】</span><br>';
	echo '　　スライドの表示形式を変更する場合は、表示形式を選択後「決定」をクリックしてください。<br>';
	// 動画スライド１テーブル拡張設定データを読み、表示形式(dsp_form)を取得する。
	$sql = "SELECT * FROM img_slide1_op1";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($rowop = $stmt->fetch(PDO::FETCH_ASSOC)){
		if ($rowop["dsp_form"] == 0) {
			$dsp_form_check1 = "checked";
			$dsp_form_check2 = NULL;
		}else{
			$dsp_form_check1 = NULL;
			$dsp_form_check2 = "checked";
		}
	}else{
			$dsp_form_check1 = "checked";
			$dsp_form_check2 = NULL;
	}
	echo '	<form action="./cms_slide1_mng_dsp_form_save.php?slide_cnt='.$img_cntw.'" method="POST">';
	echo '	　　　　　<input type="radio" name="dsp_form_input" value="0" '.$dsp_form_check1.'>中央のみに表示　';
    echo '	<input type="radio" name="dsp_form_input" value="1" '.$dsp_form_check2.'>前後のスライドを左右に薄く表示（スライドが３枚以上の場合）　';
	echo '	<input type="submit" value="決定" name="proc"><br>';
	echo '　　　　　　※スマホ、タブレットでは中央のみに表示されます。';
	if ($_GET["dsp_form_save"]) echo '　<span class="normalmsg5">決定しました。</span>';
	echo '</form>';
	echo "</div>";
	if ($_GET["slide_cnt_err"]) echo '<div class="errmsg">'.$_SESSION["slide_cnt_errmsg"].'</div>';
	echo "<br class=\"clear_both\">";
	echo "<div class=\"p_proc_area_slide\">";
	echo "<span class=\"p_proc_title_slide\">【スライドの修正または削除】</span><br>";
	echo "　　スライドを修正または削除する場合は、スライド下の「修正」または「削除」をクリックしてください。<br>";
	echo "　　表示順位を変更する場合は、スライド下の<img src=\"img/button/btn_up.png\" height=\"12\" hspace=\"2\" vspace=\"2\" alt=\"up\" class=\"p_btn_img\" style=\"vertical-align:middle;\"><img src=\"img/button/btn_down.png\" height=\"12\" hspace=\"2\" vspace=\"2\" alt=\"down\" class=\"p_btn_img\" style=\"vertical-align:middle;\">をクリックしてください（直ちに変更されます）。";
	echo "</div>";
	
	if (empty($_SESSION['errmsg'])) {
	}else {
		echo "<div class=\"p_err_msg2\" >";
		echo $_SESSION['errmsg'];
		echo "</div>";
	}
	$sql0 = "SELECT count(*) cnt0 FROM img_slide1";
    $stmt = $conn->prepare($sql0);
    $stmt->execute();
    $row0 = $stmt->fetch(PDO::FETCH_ASSOC);
	$cnt0				= $row0["cnt0"];
	$_SESSION["cnt0"]	= $cnt0;
	
	$sql = "SELECT * FROM img_slide1 ORDER BY slide_no ASC";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
	$cnt1 = 1;
	while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		echo '<div class="p_slide_contents_area">';
			$dsp_contents = $row['img1_url'];
			echo '<div class="p_img_box"><img src="'.$dsp_contents.'" class="p_img_property" alt="イメージ"></div>';
			$dsp_contents = $row["img1_overtext"];
			$sql = "SELECT * FROM img_slide1_over_adjust where (img_slide1_id = ".$row["id"].")";
			//echo "<br>sql=".$sql;		// debug
			$stmtadjust = $conn->prepare($sql);
			$stmtadjust->execute();
			if ($rowadjust = $stmtadjust->fetch(PDO::FETCH_ASSOC)) {
				$padding_left	 	= $rowadjust["padding_left"];
				$padding_top 		= $rowadjust["padding_top"];
			}else{
				$padding_left	 	= 0;
				$padding_top 		= 0;
			}
			$style_adjust = 'style="padding-left:'.$padding_left.'px;padding-top:'.$padding_top.'px;"';
			echo '<div class="p_column_text" '.$style_adjust.'>'.$dsp_contents.'</div>';
			echo '<br class="clear_both">';
			
			// 小窓表示
			echo "<div class=\"p_small_area\">";
			echo '<script type="text/javascript">';
			echo "$(function(){	";
			echo "	$(\"#p_small_area_w\").css(\"width\",(".$img_cntw."/2*100)+\"px\");";
			echo "});";
			echo '</script>';
			echo '<div id="p_small_area_w">';
			$cnt2 = 1;
			while ($cnt2 <= $cnt0) { 
				echo '<div class="p_column_k">';
				if ($cnt2 == $cnt1) {
					$pos	= $cnt2;
					echo '<div class="p_img_on">';
						echo '<div class="p_hukidasi_area">　';						// エリア確保のため全角スペースを入れる
						echo "<p class=\"p_hukidasi\">".$row["slide_title"]."</p>";
						echo "</div>";
					echo "</div>";
				}else{
					echo '<div class="p_img_off">';
					echo "</div>";
				}
				echo "</div>";
				$cnt2 = $cnt2 + 1;
			}
			echo "</div><!-- end p_small_area_w -->";
			echo "</div><!-- end p_small_area -->";
			
		echo "</div>";
		echo '<br class="clear_both">';
		echo '<div class="p_updown" style="margin-top:4px;margin-bottom:4px;">';
		// 表示順位変更ボタン
		echo "<a href=\"cms_slide1_ctrl.php?id=".$row["id"]."&amp;proc=up\" title=\"上に移動\"><img src=\"img/button/btn_up.png\" height=\"18\" hspace=\"2\" vspace=\"2\" alt=\"right\" style=\"vertical-align:bottom;\"></a>";
		echo "<a href=\"cms_slide1_ctrl.php?id=".$row["id"]."&amp;proc=down\" title=\"下に移動\"><img src=\"img/button/btn_down.png\" height=\"18\" hspace=\"2\" vspace=\"2\" alt=\"left\" style=\"vertical-align:bottom;\"></a>";
		echo "</div>";
		echo '<div class="p_slide_updt_button" style="margin-top:4px;margin-bottom:4px;">';
		echo "<input type=\"hidden\" name=\"process\" value=\"upd\">";
		echo "<input type=\"hidden\" name =\"sel_id\" value=" . $row["id"] . " />";
		echo '<a href="cms_slide1_edit.php?proc=upd&amp;sel_id='.$row["id"].'&amp;pos='.$pos.' target="_blank"><div class="edit3" style="padding-left:7px;padding-right:7px;">修正</div></a>';	
		echo "</div>";
		echo '<div class="p_slide_del_button" style="margin-top:4px;margin-bottom:4px;">';
		echo "<input type=\"hidden\" name =\"sel_id\" value=" . $row["id"] . " />";
		echo "<input type=\"button\" value=\"削除\" class=\"edit3\" onClick=\"slide1_del(" . $row["id"] . ")\">";
		echo "</div>";
		echo '<br class="clear_both">';
		/********************/
		$cnt1 = $cnt1 + 1;
	}
?>
</div> <!-- end id="container" -->
</body>
<?php
	$sqlw = "SELECT count(*) cnt FROM img_slide1";
    $stmt = $conn->prepare($sqlw);
    $stmt->execute();
    $roww = $stmt->fetch(PDO::FETCH_ASSOC);
	$img_cntw = $roww["cnt"];
	echo '<script type="text/javascript">';
	echo "$(function(){	";
	echo "	$(\"#p_small_area_w\").css(\"width\",(".$img_cntw."/2*100)+\"px\");";
	echo "});";
	echo '</script>';
?>
<script type="text/javascript">window.focus();</script>
</html>
