<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
/***************************************************************************************************/
// function 	：CRSF対策用
/***************************************************************************************************/
function csrf_token() {
  $len = 16;
  $bytes_data = openssl_random_pseudo_bytes($len);
  return bin2hex($bytes_data);
}
/***************************************************************************************************/
// function 	：finelpのローカル環境、本番環境のドメイン名を取得（独自ドメインに対応）
/***************************************************************************************************/
function httpx(){
	if ($_SERVER['HTTPS'] == "on") {
		$httpx = "https";
	}else{
		$httpx = "http";
	}
	return $httpx;
}
/***************************************************************************************************/
// function 	：ドメインパス/ユーザーHPアドレスパス取得
/***************************************************************************************************/
function user_domain(){
	if ($_SERVER['HTTPS'] == "on") {
		$httpx = "https";
	}else{
		$httpx = "http";
	}
	$user_domain = $httpx."://".$_SERVER["SERVER_NAME"];
	return $user_domain;
}
/***************************************************************************************************/
// function 	：ドメイン名/ユーザーHPアドレス名取得
/***************************************************************************************************/
function domain_user(){
	//echo '<br>$_SERVER[SERVER_NAME]='.$_SERVER['SERVER_NAME'];	// test
	//echo '<br>$_SERVER[SCRIPT_NAME]='.$_SERVER['SCRIPT_NAME'];	// test
	$domain_user_array = explode("/",$_SERVER['SERVER_NAME'].$_SERVER['SCRIPT_NAME']);
	$cnt = count($domain_user_array);
	$domain_user = NULL;
	for($i=0;$i<$cnt-1;$i++) {
		if ($i <$cnt-2) {
			$domain_user .= $domain_user_array[$i].'/';
		}else{
			$domain_user .= $domain_user_array[$i];
		}
	}
	$domain_user = str_replace("/hp_ref", "", $domain_user);
	return $domain_user;
}
/***************************************************************************************************/
// function 	：メニュー区分とボタンIDからホームページのaタグURLをセット
/***************************************************************************************************/
function url_a_start_set($conn, $edit, $mode, $menu_kbn, $btn_id, $hp_ref){
	//echo 'url_a_start_set';	// debug
	if ($edit == 2) {
		$click_false = 'onclick="return false" title="確認画面ではクリックできません"';
	} else
	if ($edit == 3) {
		$click_false = 'onclick="return false" title="プレビュー画面ではクリックできません"';
	} else
	if ($edit == 4) {
		$click_false = 'onclick="return false" title="このページではクリックできません"';
	} else {
		$click_false = "";
	}
	if ($menu_kbn == 1) {			// メニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "menubutton";
	} else 
	if($menu_kbn == 2) {	// サイドメニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menubutton";
	} else {																	// サイドメニューアンダーボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menu_underbutton";
	}
	$sql = "SELECT * FROM ".$tbl." where id = $id";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
	if ($rowm = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$btn_id		= $rowm["id"];
		$page_id	= $rowm["contents_page_ctrl_id"];		// 0のときは対応ページ無し
		$proc = contents_page_set($conn, $edit, $mode, $menu_kbn, $rowm["id"]);		// コンテンツページのファイル名をセット
		if (isset($mode)) $str_mode = "mode=".$mode."&amp;";
		if (isset($edit)) $str_edit = "edit=".$edit."&amp;";
		
		$param = "?".$str_mode.$str_edit."menu_kbn=".$menu_kbn."&amp;orderno=".$rowm["orderno"]."&amp;btn_id=".$rowm["id"]."&amp;page_id=".$rowm["contents_page_ctrl_id"];
		if ($proc == "cms_contents_toiawase.php") {
			$a_start = "<a href=\"".$hp_ref."cms_contents_toiawase.php".$param."\" onClick=\"javascript:window.open('".$hp_ref."cms_contents_toiawase.php".$param."','toiawae','width=1100, height=800, location=no, menubar=no, toolbar=no, scrollbars=yes, resizable=yes'); return false;\">";
		}else{
			$uri = $proc.$param;	
			$a_start = "<a href=\"".$uri."\" ".$click_false." target=\"_blank\">";
		}
	}else{
	}
	return $a_start;
	
}
/***************************************************************************************************/
// function 	：wysiwyg用ハイパーリンクをセットする前に、予約、問い合わせページを除外する。
/***************************************************************************************************/
function hyperlink_url_proc_chk($conn, $menu_kbn, $btn_id){
	if ($menu_kbn == 1) {			// メニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "menubutton";
	} else 
	if($menu_kbn == 2) {	// サイドメニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menubutton";
	} else {																	// サイドメニューアンダーボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menu_underbutton";
	}
	$sql = "SELECT * FROM ".$tbl." where id = :id";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(":id", $id);
    $stmt->execute();
	if ($rowm = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$btn_id		= $rowm["id"];
		$page_id	= $rowm["contents_page_ctrl_id"];		// 0のときは対応ページ無し
		if ($menu_kbn == 1 && $rowm["orderno"] == 11) {					// トップページ
			$proc = "index.php";
		}else{
			$proc = contents_page_set($conn, 0, 0, $menu_kbn, $rowm["id"]);		// コンテンツページのファイル名をセット
		}
		if ($proc == "cms_contents_toiawase.php") {
			return false;
		}else
		if ($proc == "cms_contents_yoyaku.php") {
			return false;
		}else{
			return true;	
		}
	}else{
		return false;
	}
}
/***************************************************************************************************/
// function 	：wysiwyg用ハイパーリンクをセット
/***************************************************************************************************/
function hyperlink_url_set($conn, $menu_kbn, $btn_id){
	if ($menu_kbn == 1) {			// メニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "menubutton";
	} else 
	if($menu_kbn == 2) {	// サイドメニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menubutton";
	} else {																	// サイドメニューアンダーボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menu_underbutton";
	}
	$sql = "SELECT * FROM ".$tbl." where id = :id";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(":id", $id);
    $stmt->execute();
	if ($rowm = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$btn_id		= $rowm["id"];
		$page_id	= $rowm["contents_page_ctrl_id"];		// 0のときは対応ページ無し
		if ($menu_kbn == 1 && $rowm["orderno"] == 11) {					// トップページ
			$proc = "index.php";
			$param = "";
		}else{
			$proc = contents_page_set($conn, 0, 0, $menu_kbn, $rowm["id"]);		// コンテンツページのファイル名をセット
			$param = "?menu_kbn=".$menu_kbn."&amp;orderno=".$rowm["orderno"]."&amp;btn_id=".$rowm["id"]."&amp;page_id=".$rowm["contents_page_ctrl_id"];
		}
		//echo '$hp_ref='.$hp_ref;
		if ($proc == "cms_contents_toiawase.php") {
			$param = $param."&amp;script_name=".$_SESSION["script_name"]."&amp;server_name=".$_SESSION["server_name"];
			$uri = $proc.$param;
		}else
		if ($proc == "cms_contents_yoyaku.php") {
			$param = $param."&amp;script_name=".$_SESSION["script_name"]."&amp;server_name=".$_SESSION["server_name"];
			$uri = $proc.$param;
		}else{
			$uri = $proc.$param;	
		}
	}
	return $uri;
	
}
/***************************************************************************************************/
// function 	：wysiwyg用ハイパーリンクのaタグをセット
// 説明			：DBの移行（ディレクトリユーザーから独自ドメインユーザー）を可能とするため
//				　相対アドレスをリンクする。
//				　データを表示する側で相対アドレスを絶対アドレスに変換して使用　する。
/***************************************************************************************************/
function hyperlink_url_a_set($conn, $menu_kbn, $btn_id){
	if ($menu_kbn == 1) {			// メニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "menubutton";
	} else 
	if($menu_kbn == 2) {	// サイドメニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menubutton";
	} else {																	// サイドメニューアンダーボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menu_underbutton";
	}
	$sql = "SELECT * FROM ".$tbl." where id = :id";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(":id", $id);
    $stmt->execute();
	if ($rowm = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$btn_id		= $rowm["id"];
		$page_id	= $rowm["contents_page_ctrl_id"];		// 0のときは対応ページ無し
		$target 	= NULL;
		if ($menu_kbn == 1 && $rowm["orderno"] == 11) {					// トップページ
			$proc = "index.php";
			$param = "";

		}else{
			$proc = contents_page_set_for_hyperlink($conn, 0, 0, $menu_kbn, $rowm["id"]);		// コンテンツページのファイル名をセット
			$param = "?menu_kbn=".$menu_kbn."&amp;orderno=".$rowm["orderno"]."&amp;btn_id=".$rowm["id"]."&amp;page_id=".$rowm["contents_page_ctrl_id"];
		}
		if ($proc == "cms_contents_toiawase.php") {
			$uri 	= "cms_contents_toiawase.php".$param;
			$target = "_blank";
			return "<a href=\"#\" onclick=\"insertHyperLink('".$uri."','".$target."');return false;\">";
		}else
		if ($proc == "cms_contents_yoyaku.php") {
			$param 	= $param."&amp;script_name=".$_SESSION["script_name"]."&amp;server_name=".$_SESSION["server_name"];
			$uri 	= "cms_contents_yoyaku.php".$param;
			$target = "_blank";
			return "<a href=\"$uri\" target=\"_new\" onclick=\"insertHyperLink('".$uri."','".$target."');return false;\">";
		}else
		if ($proc == "cms_contents_shop.php") {
			$param 	= $param."&amp;script_name=".$_SESSION["script_name"]."&amp;server_name=".$_SESSION["server_name"];
			return "<a href=\"insert_hyperlink_shop_item_set.php".$param."&amp;wysiwyg=editor1\">";	
		}else{
			$uri = $proc.$param;
			$target = NULL;
			return "<a href=\"#\" onclick=\"insertHyperLink('".$uri."','".$target."');return false;\">";
		}
	}
}
/***************************************************************************************************/
// function 	：wysiwyg用ハイパーリンクのaタグをセット
// 説明			：DBの移行（ディレクトリユーザーから独自ドメインユーザー）を可能とするため
//				　相対アドレスをリンクする。
//				　データを表示する側で相対アドレスを絶対アドレスに変換して使用　する。
/***************************************************************************************************/
function wysiwyg_link_url_a_set($conn, $menu_kbn, $btn_id){
	if ($menu_kbn == 1) {			// メニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "menubutton";
	} else 
	if($menu_kbn == 2) {	// サイドメニューボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menubutton";
	} else {																	// サイドメニューアンダーボタンに紐つくページ
		$id = $btn_id;
		$tbl = "side_menu_underbutton";
	}
	$sql = "SELECT * FROM ".$tbl." where id = :id";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(":id", $id);
    $stmt->execute();
	if ($rowm = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$btn_id		= $rowm["id"];
		$page_id	= $rowm["contents_page_ctrl_id"];		// 0のときは対応ページ無し
		$target 	= NULL;
		$proc = contents_page_set_for_hyperlink($conn, 0, 0, $menu_kbn, $rowm["id"]);		// コンテンツページのファイル名をセット
		$param = "?menu_kbn=".$menu_kbn."&amp;orderno=".$rowm["orderno"]."&amp;btn_id=".$rowm["id"]."&amp;page_id=".$rowm["contents_page_ctrl_id"];
		if ($proc == "cms_contents_toiawase.php") {
			$uri 	= "cms_contents_toiawase.php".$param;
			$target = "_blank";
			return "<a href=\"#\" onclick=\"insertwysiwygLink('".$uri."','".$target."');return false;\">";
		}else
		if ($proc == "cms_contents_yoyaku.php") {
			$param 	= $param."&amp;script_name=".$_SESSION["script_name"]."&amp;server_name=".$_SESSION["server_name"];
			$uri 	= "cms_contents_yoyaku.php".$param;
			$target = "_blank";
			//return "<a href=\"$uri\" target=\"_new\">";
			return "<a href=\"$uri\" target=\"_new\" onclick=\"insertwysiwygLink('".$uri."','".$target."');return false;\">";
		}else
		if ($proc == "cms_contents_shop.php") {
			$param 	= $param."&amp;script_name=".$_SESSION["script_name"]."&amp;server_name=".$_SESSION["server_name"];
			return "<a href=\"insert_wysiwyglink_shop_item_set.php".$param."&amp;wysiwyg=editor1\">";	
		}else{
			$uri = $proc.$param;
			$target = NULL;
			return "<a href=\"#\" onclick=\"insertwysiwygLink('".$uri."','".$target."');return false;\">";
		}
	}
}
/***************************************************************************************************/
// function 	：wysiwyg用ＰＤＦリンクのaタグをセット
// 説明			：DBの移行（ディレクトリユーザーから独自ドメインユーザー）を可能とするため
//				　相対アドレスをリンクする。
//				　データを表示する側で相対アドレスを絶対アドレスに変換して使用　する。
/***************************************************************************************************/
function wysiwyg_pdf_link_url_a_set($conn, $pdf_page_id, $title){
	$uri 	= "cms_contents_page_edit_updt_pdf_dsp.php?pdf_page_id=".$pdf_page_id;
	$target = "_blank";
	return "<a href=\"#\" onclick=\"insertwysiwygLink('".$uri."','".$target."','".$title."');return false;\">";
}
/***************************************************************************************************/
// function 	：wysiwyg用ＰＤＦリンクのaタグをセット
// 説明			：DBの移行（ディレクトリユーザーから独自ドメインユーザー）を可能とするため
//				　相対アドレスをリンクする。
//				　データを表示する側で相対アドレスを絶対アドレスに変換して使用　する。
/***************************************************************************************************/
function wysiwyg_custom_pdf_link_url_a_set($conn, $pdf_page_id){
	$uri 	= "cms_contents_page_edit_updt_pdf_dsp.php?pdf_page_id=".$pdf_page_id;
	$target = "_blank";
	return "<a href=\"#\" onclick=\"insertHyperLink('".$uri."','".$target."');return false;\">";
}
/***************************************************************************************************/
// function 	：DBに保存された編集データの相対アドレスを絶対アドレスに変換する。
// $contents	：変換前の編集データ
// return		：絶対アドレスに変換されたデータ
/***************************************************************************************************/
function link_rel_to_abs($contents){
	if(strpos($_SERVER["SCRIPT_NAME"],'/index.php') !== false || strpos($_SERVER["SCRIPT_NAME"],'/cms_contents_page_common.php') !== false){
	//if ($_SERVER["SCRIPT_NAME"]=="/index.php" || $_SERVER["SCRIPT_NAME"]=="/cms_contents_page_common.php") {
		$hp_ref = "hp_ref/";
	}else{
		$hp_ref = "";
	}
	$dsp_contents = str_replace('data/uploads_slide/',$hp_ref.'data/uploads_slide/',$contents);					// 画像パスを置換
	//echo '　$dsp_contents='.$dsp_contents;	// debug
	$dsp_contents = str_replace('href="data/uploads/','href="'.$hp_ref.'data/uploads/',$dsp_contents);				// 画像パスを置換
	$dsp_contents = str_replace('src="data/uploads/','src="'.$hp_ref.'data/uploads/',$dsp_contents);				// 画像パスを置換
	$dsp_contents = str_replace('src="icons_dir/','src="'.$hp_ref.'icons_dir/',$dsp_contents);
	$dsp_contents = str_replace('href="cms_contents_page_common.php','href="'.$hp_ref.'cms_contents_page_common.php',$dsp_contents);
	$dsp_contents = str_replace('href="cms_contents_page_edit_updt_pdf_dsp.php','href="'.$hp_ref.'/cms_contents_page_edit_updt_pdf_dsp.php',$dsp_contents);
	
	$dsp_contents = str_replace('script_name=dummyscript','script_name='.$_SESSION["script_name"],$dsp_contents);
	$dsp_contents = str_replace('server_name=dummyserver','server_name='.$_SESSION["server_name"],$dsp_contents);
	$dsp_contents = str_replace('target=""','',$dsp_contents);
	return $dsp_contents;
}
/***************************************************************************************************/
// function 	：DBに保存された編集データの相対アドレスを絶対アドレスに変換する。
// $contents	：変換前の編集データ
// return		：絶対アドレスに変換されたデータ
/***************************************************************************************************/
function link_rel_to_abs_for_htmlmail($contents){
	$php_path_array = explode( '/', user_domain().$_SERVER["SCRIPT_NAME"]);
	$cnt			= count($php_path_array);
	$php_path		= NULL;
	for($i=0;$i<$cnt-1;$i++){
		$php_path .= $php_path_array[$i]."/";
	}
	$dsp_contents = str_replace('href="data/uploads/','href="'.$php_path.'data/uploads/',$contents);				// 画像パスを置換
	$dsp_contents = str_replace('src="data/uploads/','src="'.$php_path.'data/uploads/',$dsp_contents);				// 画像パスを置換
	$dsp_contents = str_replace('src="icons_dir/','src="'.$php_path.'icons_dir/',$dsp_contents);
	return $dsp_contents;
}
/***************************************************************************************************/
// function 	：facebook、twitter、google+用ダミーページ出力
/***************************************************************************************************/
function facebook_dummypage_put($conn, $title,$img_file,$contents,$req_uri,$file_name){
	
	$data_url = user_domain().$_SERVER["SCRIPT_NAME"];
	$data_array = explode('hp_ref/',$data_url);
	$data_url = $data_array[0]."hp_ref/data/";
	
	// facebook掲載用画像URLを取得（記事の最初の画像（アイコン以外）を取得）
	$chktext = nl2br($contents);
	$img_array = explode('src="data/uploads/',$chktext);
	$img_array1 = explode('"',$img_array[1]);
	$og_img_file	= $img_array1[0];				// 記事の最初の画像
	
	$chktext = nl2br($title);
	$img_array = explode('src="data/uploads/',$chktext);
	$img_array1 = explode('"',$img_array[1]);
	$og_img_file2	= $img_array1[0];				// タイトルの画像
	$dir = 'data/uploads/';
	if ($og_img_file <> NULL) {
		$img_url = $data_url."uploads/".$og_img_file;
	} else
	if ($img_file <> NULL) {
		if ((substr($img_file,0,7) <> "http://") && (substr($img_file,0,8) <> "https://")) {
			$img_url = $data_url."uploads/".$img_file;
		}else{
			$img_url = $img_file;
		}
	} else
	if ($og_img_file2 <> NULL) {
		$img_url = $data_url."uploads/".$og_img_file2;
	}else{
		// トップページのfacebook掲載用画像を取得
		$sql = "SELECT * FROM top_page_sns_btn";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$img_url = $data_url."uploads/".$row["ogp_img"];
		}else
		if ($row["ogp_img"] <> NULL) {
			// facebook掲載用画像URLを取得（記事の最初の画像（アイコン以外）を取得）
			$chktext = nl2br($row["logoname"]);
			$img_array = explode('src="data/uploads/',$chktext);
			$img_array1 = explode('"',$img_array[1]);
			$og_img_file	= $img_array1[0];
			if ($og_img_file <> NULL) {
				$img_url = $data_url."uploads/".$og_img_file;
			}else{
				$img_url = NULL;
			}
		}else{
			$img_url = NULL;
		}
	}
	// facebook掲載用descriptionをセット
	$description = nl2br($contents);
	$description = strip_tags($description);		// タグを外す
	$description = str_replace("&nbsp;","",$description);
	// facebook掲載用titleをセット
	$title_dsp = nl2br($title);
	$title_dsp = strip_tags($title_dsp);		// タグを外す
	$title_dsp = str_replace("&nbsp;","",$title_dsp);
	$site = domain_user();
	// facebook用（いいね！ボタン用）（いいね！ボタン用）ダミーページ生成
	$file_fullname = "data/facebook/".$file_name;
	$dummy_page = $data_url."facebook/".$file_name;
	//echo "dummy_page=".$dummy_page;			// debug
	$file_contents = '<!DOCTYPE html>
	<head>
	<meta charset="UTF-8" >		
	<title>ランディングページの記事</title>
	<meta name="description" content="ランディングページの記事">
	<meta property="og:title" content="'. $title_dsp.'" >
	<meta property="og:type" content="website" >
	<meta property="fb:app_id" content="1234096326659579" >
	<meta property="og:image" content="'. $img_url.'" >
	<meta property="og:url" content="'.$dummy_page.'" >
	<meta property="og:site_name" content="'. $site.'" >
	<meta property="og:description" content="'.$description.'" >
	<script >
	function next(){
	location.replace("'.$req_uri.'");
	}
	</script>
	</head>
	<body onLoad="setTimeout(\'next()\',0000)">
	</body>
	</html>';
	file_put_contents($file_fullname, $file_contents);	// facebook用（いいね！ボタン用）ダミーページ出力
	return $dummy_page;
}
/******************************************************************************************************************************************/
// function名：ヘッダーの表示
// $edit：1=CMS編集用、0=参照用、2=確認画面用、3=プレビュー用
// $root	:1=トップページからcall、2=コンテンツページからcall、4=ロゴ画像位置調整ページからcall、5=ロゴテキスト位置調整ページからcall
/******************************************************************************************************************************************/
function header_dsp($conn, $mode, $edit, $root) {
	if ($mode == "1" || $mode == "2" || $edit == "3") {
		$hp_ref  = "";
	}else{
		$hp_ref  = "hp_ref/";
	}
	if ($root==1){
		$index_page = true;
	}else{
		$index_page = false;
	}
	// ロゴを取得
	$header_tbl_ari = false;
	if (!($_SESSION["menu_kbn"] == NULL || $_SESSION["btn_id"] == NULL)) {
		$sql = 'SELECT * FROM contents_header_tbl WHERE (menu_kbn = 1 and btn_id = 1)';
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($rowcont = $stmt->fetch(PDO::FETCH_ASSOC)) {
			$header_tbl_ari = true;
		}
		$upper_text_padding_top 	= $rowcont["upper_text_padding_top"];
		$upper_text_padding_left 	= $rowcont["upper_text_padding_left"];
	}
	$sql = "SELECT * FROM header_tbl";
	$stmt = $conn->prepare($sql);
	$stmt->execute();
	if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
		$header_tbl_ari = true;
	}
	$upper_text 	= $rowcont["upper_text"];
	$logoimg_url 	= ($rowcont["logoimg_url"] <> NULL) ? $rowcont["logoimg_url"] : $row["logoimg_url"];
	$logoname		= ($rowcont["logoname"] <> NULL) ? $rowcont["logoname"] : $row["logoname"];
	$logoimg_url_c 	= $rowcont["logoimg_url"];
	$logoname_c		= $rowcont["logoname"];
	if ($rowcont["logoimg_url"] <> NULL || $rowcont["logoname"] <> NULL) {
		$logo_padding_top 	= $rowcont["logo_padding_top"];
		$logo_padding_left 	= $rowcont["logo_padding_left"];
	}else{
		$logo_padding_top 	= $row["logo_padding_top"];
		$logo_padding_left 	= $row["logo_padding_left"];
	}
	$header_text_w		= ($rowcont["header_text"] <> NULL) ? $rowcont["header_text"] : $row["header_text"];
	if ($rowcont["header_text"] <> NULL) {
		$text_padding_top 	= $rowcont["text_padding_top"];
		$text_padding_left 	= $rowcont["text_padding_left"];
	}else{
		$text_padding_top 	= $row["text_padding_top"];
		$text_padding_left 	= $row["text_padding_left"];
	}
	// ロゴ、ヘッダーテキストの編集
	if ($index_page) {					//************* トップページ
		$header_logo_click = '<a href="cms_logo_mng.php" target="_blank"><div class="edit" style="width:100px;">ロゴ編集</div></a>';
		$header_back_click = '<a href="cms_background_mng.php?hashname=header_design" target="_blank"><div class="edit" style="width:200px;">ヘッダーデザイン設定</div></a>';
		$upper_text_click = '<a href="cms_header_upper_text_contents_edit.php?hashname=header_design" target="_blank"><div class="edit" style="width:230px;">ヘッダー上部テキスト編集</div></a>';
		$header_text_click = '<a href="cms_header_text_edit.php" target="_blank"><div class="edit" style="width:200px;">ヘッダーテキスト編集</div></a>';
	} else {							//************* トップページ以外
		$header_text_click 	= NULL;
		$header_back_click 	= NULL;
		$upper_text_click 	= NULL;
		$header_logo_click 	= NULL;
	}
	if ($edit==1 && $mode && $root<>7 && $root <> 6 && $root <> 5 && $root <> 4) {
		echo '<div id="edit_header"><div id="edit_header_in">';
		echo '<div id="edit_logo">'.$header_logo_click.'</div><div class="edit_center">'.$header_back_click.'</div><div id="edit_upper">'.$upper_text_click.'</div><div id="edit_area_right">'.$header_text_click.'</div>';
		echo '<br class="clear_both">';
		echo '</div></div>';
		if ($header_tbl_ari) {
			echo '<div class="header_menu">';				// cssでヘッダー背景画像（中央）を指定している。
			echo '<div class="header_menu_in">';			// cssでヘッダー背景画像（両サイド）を指定している。
		}
	} else {
		if ($root == 4 || $root == 5) {								// ロゴ画像位置調整ページからcall
			$style = 'style="overflow:visible;"';
		}else{
			$style = NULL;
		}
		if ($header_tbl_ari) {
			echo "<div class=\"header_menu_ref\" ".$style.">";			// cssでヘッダー背景画像（中央）を指定している。
			echo "<div class=\"header_menu_ref_in\" ".$style.">";		// cssでヘッダー背景画像（両サイド）を指定している。
		}
	}
	echo "<div id=\"page_top\"></div><!-- 「このページの先頭へ戻る」のジャンプ先 -->";
	if ($header_tbl_ari) {
		if (($edit==1 && $mode) && $root <> 7){
			echo '<div id="header_area">';
		} else {
			echo '<div id="header_area_ref">';
		}
	}
	if (!$mode) {
		$href_logo = "./";
	}else{
		$href_logo = "cms_index.php?mode=1";
		
	}
	if ($edit == 2) {
		$click_false = 'onclick="return false" title="確認画面ではクリックできません"';
	} else
	if ($edit == 3) {
		$click_false = 'onclick="return false" title="プレビュー画面ではクリックできません"';
	} else
	if ($edit == 4) {
		$click_false = 'onclick="return false" title="このページではクリックできません"';
	} else {
		$click_false = "";
	}
	
	if ($root == 6) {
		$header_upper_text = $_SESSION["upper_text"];
	}else{
		$header_upper_text = $upper_text;
	}
	$dsp_contents = link_rel_to_abs($header_upper_text);
	if ($dsp_contents <> NULL && $dsp_contents <> "") {
		$style_header_upper_text = 'padding-top:'.$upper_text_padding_top.'px;padding-left:'.$upper_text_padding_left.'px;';
	}else{
		$style_header_upper_text = NULL;
	}
	$br_cnt = substr_count($header_upper_text, '<BR>');
	if ($br_cnt > 1) {
		$dsp_line_height = 'line-height:140%;';
	}else{
		$dsp_line_height = NULL;
	}
	$style = 'style="width:'.(960 - $upper_text_padding_left).'px;'.$style_header_upper_text.$dsp_line_height.';"';
	if ($header_tbl_ari) echo "<div id=\"upper_text_area\" $style><a href=\"".$href_logo."\" ".$click_false.">".nl2br($dsp_contents)."</a></div>";
	// ロゴの表示
	if ($root == 4) {
		if ($_SESSION['upload_name'] <> NULL) {
			$logo_dsp = "<img src=\"".$hp_ref."data/uploads/".$_SESSION['upload_name']."\" alt=\"ロゴ\" class=\"p_logo_img_property\">";
		}else
		if ($logoimg_url <> NULL) {
			$logo_dsp = "<img src=\"".$hp_ref."data/uploads/".$logoimg_url."\" alt=\"ロゴ\" class=\"p_logo_img_property\">";
		}else
		if ($logoname <> NULL) {
			$dsp_contents = link_rel_to_abs($logoname);
			$logo_dsp = nl2br($dsp_contents);
		}else{
			$logo_dsp = NULL;
		}
	}else
	if ($root == 5) {
		if ($_SESSION['header_logo_input'] <> NULL) {
			$dsp_contents = link_rel_to_abs($_SESSION['header_logo_input']);
			$logo_dsp = nl2br($dsp_contents);
		}else
		if ($logoname <> NULL) {
			$dsp_contents = link_rel_to_abs($logoname);
			$logo_dsp = nl2br($dsp_contents);
		}else{
			$logo_dsp = NULL;
		}
	}else
	if ($root == 6) {
		if ($logoimg_url <> NULL) {
			$logo_dsp = "<img src=\"".$hp_ref."data/uploads/".$logoimg_url."\" alt=\"ロゴ\" class=\"p_logo_img_property\">";
		}else
		if ($logoname <> NULL) {
			$dsp_contents = link_rel_to_abs($logoname);
			$logo_dsp = nl2br($dsp_contents);
		}else{
			$logo_dsp = NULL;
		}
	}else
	if ($root == 1) {			// トップページ
		
		if ($logoimg_url <> NULL) {
			$logo_dsp = "<img src=\"".$hp_ref."data/uploads/".$logoimg_url."\" alt=\"ロゴ\" class=\"p_logo_img_property\">";
		}else
		if ($logoname <> NULL) {
			$dsp_contents = link_rel_to_abs($logoname);
			$logo_dsp = nl2br($dsp_contents);
		}else{
			$logo_dsp = NULL;
		}
	}else{
		if ($logoimg_url <> NULL && $logoname_c == NULL) {
			$logo_dsp = "<img src=\"".$hp_ref."data/uploads/".$logoimg_url."\" alt=\"ロゴ\" class=\"p_logo_img_property\">";
		}else
		if ($logoname <> NULL) {
			$dsp_contents = link_rel_to_abs($logoname);
			$logo_dsp = nl2br($dsp_contents);
		}else{
			$logo_dsp = NULL;
		}
	}
	$style = 'style="padding-top:'.$logo_padding_top.'px;padding-left:'.$logo_padding_left.'px;width:'.(480-$logo_padding_left).'px;"';
	if ($header_tbl_ari) echo "<div id=\"p_logo_area\" $style><a href=\"".$href_logo."\" ".$click_false.">".$logo_dsp."</a></div>";
	
	if ($root == 4 || $root == 7) {
		$header_text = $_SESSION["header_text"];
	}else{
		$header_text = $header_text_w;
	}
	$br_cnt = substr_count($header_text, '<BR>');
	if ($br_cnt > 1) {
		$line_height = "140%";
	}else{
		$line_height = "180%";
	}
	$style = 'style="width:480px;padding-top:'.$text_padding_top.'px;padding-left:'.$text_padding_left.'px;line-height:'.$line_height.';"';
	$dsp_contents = link_rel_to_abs($header_text);
	if ($header_tbl_ari) {
		echo "<div id=\"header_right\" $style>".nl2br($dsp_contents)."</div>";
		echo "</div>";
		echo "</div>";
		if ($edit==1 && $mode) {echo "<br class=\"clear_both\"><br>";}
		echo "</div>";
		//echo "</div>";
		//echo "</div>";
		echo '<script>
			jQuery(function() {
				jQuery(".edit_area1").css("min-height","0px");;
			});
		  </script>';
	}
}
function header_menu($conn, $mode, $btn_cnt, $edit, $root, $menu_kbn, $hp_ref) {
/*******************************************************************/
// function名：メニューボタンの表示
// $btn_cnt:1階層目のボタンの数
// $edit：1=CMS編集用、0=参照用、2=確認画面用、3=プレビュー用
// $root：1=トップページからcall、2=コンテンツページからcall
/*******************************************************************/
$script_name = $_SESSION["script_name"];
$server_name = $_SESSION["server_name"];
//　1行目のボタン
if ($edit==3 || $mode == 0) {
	$cond = " and display_flg = 1";
} else {
	$cond = "";
}
$pos = 1;
while ($pos <= $btn_cnt) {
	$sql = "SELECT * FROM menubutton where (display_flg = 1 and orderno = 1".$pos.$cond.")";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
	if ($row =$stmt->fetch(PDO::FETCH_ASSOC)) {
		$btn_name_upper	= $row["button_kanjiname"];
		if ($row["display_flg"]) {		// 表示
			$display_ctl2 = "";
			$display_ctl1 = "";
		}else{							// 非表示
			$display_ctl2 = "style=\"text-decoration:line-through;\"";
			$display_ctl1 = "text-decoration:line-through;";
		}
		$menu_kbn_w 	= 1;
		$btn_id_w		= $row["id"];
		$a_start = url_a_start_set($conn, $edit, $mode, $menu_kbn_w, $btn_id_w, $hp_ref);
		${'contents_page_id_1'.$pos} = $a_start."<div class=\"header_menu_text1n\" style=\"top:10%;height:30px;z-index:50000;".$display_ctl1."\">".$btn_name_upper."</div></a>";
		if ($menu_kbn ==1){${'orderno_1'.$pos} = $row["orderno"]%10;}
	}
	$pos = $pos + 1;
}
// マウスオフ時のボタンイメージファイル名をセット
$contents_page_11 	= "header_menu_item_left";
$contents_page_12 	= "header_menu_item";
$contents_page_13 	= "header_menu_item";
$contents_page_14	= "header_menu_item";
$contents_page_15	= "header_menu_item";
$contents_page_16	= "header_menu_item";
$contents_page_17	= "header_menu_item";
$contents_page_18	= "header_menu_item_right";
// 自分自身のページのボタンイメージは「onMouseOver」時のイメージにする。
if ($menu_kbn == 1) {
	$orderno_req = $_GET["orderno"]%10;
	switch ($orderno_req) {		
		case $orderno_11:												// $orderno_11は、前記「if ($menu_kbn ==1){${'orderno_1'.$pos} = $row["orderno"]%10;}」でセット
			$contents_page_11 		= "header_menu_item2_left";
			break;
		case $orderno_12:
			$contents_page_12		= "header_menu_item2";
			switch ($btn_cnt) {
				case 2:
					$contents_page_12 	= "header_menu_item2_right";
					break;
			}
			break;
		case $orderno_13:
			$contents_page_13		= "header_menu_item2";
			switch ($btn_cnt) {
				case 3:
					$contents_page_13 	= "header_menu_item2_right";
					break;
			}
			break;
		case $orderno_14:
			$contents_page_14		= "header_menu_item2";
			switch ($btn_cnt) {
				case 4:
					$contents_page_14 	= "header_menu_item2_right";
					break;
			}
			break;
		case $orderno_15:
			$contents_page_15		= "header_menu_item2";
			switch ($btn_cnt) {
				case 5:
					$contents_page_15 	= "header_menu_item2_right";
					break;
			}
			break;
		case $orderno_16:
			$contents_page_16		= "header_menu_item2";
			switch ($btn_cnt) {
				case 6:
					$contents_page_16 	= "header_menu_item2_right";
					break;
			}
			break;
		case $orderno_17:
			$contents_page_17		= "header_menu_item2";
			switch ($btn_cnt) {
				case 7:
					$contents_page_17 	= "header_menu_item2_right";
					break;
			}
			break;
		case $orderno_18:
			$contents_page_18		= "header_menu_item2_right";
			break;
	}
}

//<!-- ヘッダーメニュー start -->
if ($edit==1) {
	echo "<div id=\"header_menu_area\">";
} else {
	echo "<div id=\"header_menu_area_ref\">";
}
echo "<ul class=\"menu\">";
switch ($btn_cnt) {
	// 1階層目のボタンの数が１～８のときに左１列目のボタンを表示する。
	case 1:
	case 2:
	case 3:
	case 4:
	case 5:
	case 6:
	case 7:
	case 8:
		echo "<li class=".$contents_page_11.">".$contents_page_id_11;
		echo "</li>";
		break;
}
switch ($btn_cnt) {
	// 1階層目のボタンの数が２～８のときに左２列目のボタンを表示する。
	case 2:
	case 3:
	case 4:
	case 5:
	case 6:
	case 7:
	case 8:
		echo "<li class=".$contents_page_12.">".$contents_page_id_12;
		echo "</li>";
		break;
}
switch ($btn_cnt) {
	// 1階層目のボタンの数が３～８のときに左３列目のボタンを表示する。
	case 3:
	case 4:
	case 5:
	case 6:
	case 7:
	case 8:
		echo "<li class=".$contents_page_13.">".$contents_page_id_13;
		echo "</li>";
		break;
}
switch ($btn_cnt) {
	// 1階層目のボタンの数が４～８のときに左４列目のボタンを表示する。
	case 4:
	case 5:
	case 6:
	case 7:
	case 8:
		echo "<li class=".$contents_page_14.">".$contents_page_id_14;
		echo "</li>";
		break;
}
switch ($btn_cnt) {
	// 1階層目のボタンの数が５～８のときに左５列目のボタンを表示する。
	case 5:
	case 6:
	case 7:
	case 8:
		echo "<li class=".$contents_page_15.">".$contents_page_id_15;
		echo "</li>";
		break;
}
switch ($btn_cnt) {
	// 1階層目のボタンの数が６～８のときに左６列目のボタンを表示する。
	case 6:
	case 7:
	case 8:
		echo "<li class=".$contents_page_16.">".$contents_page_id_16;
		echo "</li>";
		break;
}
switch ($btn_cnt) {
	// 1階層目のボタンの数が７～８のときに左７列目のボタンを表示する。
	case 7:
	case 8:
		echo "<li class=".$contents_page_17.">".$contents_page_id_17;
		echo "</li>";
		break;
}
switch ($btn_cnt) {
	// 1階層目のボタンの数が８のときに左８列目のボタンを表示する。
	case 8:
		echo "<li class=".$contents_page_18.">".$contents_page_id_18;
		echo "</li>";
		break;
}
echo "</ul>";
echo "</div>";//<!-- end id="header_menu_area" -->
}
/***************************************************************************************************/
// function ：メニュー区分とボタンIDからコンテンツページのファイル名をセット
// 			 (ヘッダーエリアとサイドエリアが共通のページは「cms_contents_page_common.php」をセット
/***************************************************************************************************/
function contents_page_set($conn,$edit,$mode,$menu_kbn, $btn_id){
	if ($edit == 0 || $edit == 2 || $mode == 0) {
		if ($menu_kbn == 1) {						// メニューボタン
			$button_tbl = "menubutton";
			$button_tbl_id	= $btn_id;
		} else
		if ($menu_kbn == 2) {						//　サイドメニューボタン
			$button_tbl = "side_menubutton";
			$button_tbl_id	= $btn_id;
		} else {									//　サイドメニューアンダーボタン
			$button_tbl = "side_menu_underbutton";
			$button_tbl_id	= $btn_id;
		}
		$sqlctrl = 'SELECT * FROM contents_page_ctrl where (button_tbl = :button_tbl and button_tbl_id = :button_tbl_id)';
		$stmt = $conn->prepare($sqlctrl);
		$stmt->bindParam(":button_tbl", $button_tbl);
		$stmt->bindParam(":button_tbl_id", $button_tbl_id);
		$stmt->execute();
		$rowctrl = $stmt->fetch(PDO::FETCH_ASSOC);
		$ctrl_page_id = $rowctrl["page_id"];
		switch ($rowctrl["page_table"]) {
			case "contents_news_page":
				$_SESSION['page_cnt'] 	= 1;
				return "cms_contents_page_common.php";
				break;
			case "contents_free_page":
				return "cms_contents_page_common.php";
				break;
			case "contents_blog_page":
				$_SESSION['page_cnt'] 	= 1;
				$_SESSION['s_page_cnt'] = 1;
				return "cms_contents_page_common.php";
				break;
			case "contents_toiawase_page":
				return "cms_contents_toiawase.php";
				break;
			case "contents_yoyaku_page":
				return "cms_contents_yoyaku.php";
				break;
			case "contents_access_map_page":
				return "cms_contents_page_common.php";
				break;
			case "contents_company_profile_page":
				return "cms_contents_page_common.php";
				break;
			default:
				return "cms_contents_page_common.php";
				break;
		}
	} else {
		return "cms_contents_page_create.php";
	}
	
}
/***************************************************************************************************/
// function ：メニュー区分とボタンIDからコンテンツページのファイル名をセット
// 			 (ヘッダーエリアとサイドエリアが共通のページは「cms_contents_page_common.php」をセット
/***************************************************************************************************/
function contents_page_set_for_hyperlink($conn,$edit,$mode,$menu_kbn, $btn_id){
	if ($edit == 0 || $mode == 0) {
		if ($menu_kbn == 1) {						// メニューボタン
			$button_tbl = "menubutton";
			$button_tbl_id	= $btn_id;
		} else
		if ($menu_kbn == 2) {						//　サイドメニューボタン
			$button_tbl = "side_menubutton";
			$button_tbl_id	= $btn_id;
		} else {									//　サイドメニューアンダーボタン
			$button_tbl = "side_menu_underbutton";
			$button_tbl_id	= $btn_id;
		}
		$sqlctrl = "SELECT * FROM contents_page_ctrl where (button_tbl = :button_tbl and button_tbl_id = :button_tbl_id)";
		$stmt = $conn->prepare($sqlctrl);
		$stmt->bindParam(":button_tbl", $button_tbl);
		$stmt->bindParam(":button_tbl_id", $button_tbl_id);
		$stmt->execute();
		$rowctrl = $stmt->fetch(PDO::FETCH_ASSOC);
		$ctrl_page_id = $rowctrl["page_id"];
		switch ($rowctrl["page_table"]) {
			case "contents_news_page":
				$_SESSION['page_cnt'] 	= 1;
				return "cms_contents_page_common.php";
				break;
			case "contents_free_page":
				return "cms_contents_page_common.php";
				break;
			case "contents_blog_page":
				$_SESSION['page_cnt'] 	= 1;
				$_SESSION['s_page_cnt'] = 1;
				return "cms_contents_page_common.php";
				break;
			case "contents_toiawase_page":
				return "cms_contents_toiawase.php";
				break;
			case "contents_yoyaku_page":
				return "cms_contents_yoyaku.php";
				break;
			case "contents_shop_page":
				return "cms_contents_shop.php";
				break;
			case "contents_access_map_page":
				return "cms_contents_page_common.php";
				break;
			case "contents_company_profile_page":
				return "cms_contents_page_common.php";
				break;
			default:
				return "cms_contents_page_common.php";
				break;
		}
	} else {
		return "cms_contents_page_create.php";
	}
}
/********************************************************************************/
// function 	：ページテーブル名からコンテンツページ内容のファイル名をセット
// $page_table	：ページテーブル名
/********************************************************************************/
function contents_page_c_set($page_table){
	switch ($page_table) {
		case "contents_news_page":
			$_SESSION['page_cnt'] 	= 1;
			return "cms_contents_news_c.php";
			break;
		case "contents_free_page":
			return "cms_contents_free_page_c.php";
			break;
		case "contents_blog_page":
			$_SESSION['page_cnt'] 	= 1;
			$_SESSION['s_page_cnt'] = 1;
			return "cms_contents_blogunit_c.php";
			break;
		case "contents_access_map_page":
			return "cms_contents_access_map_c.php";
			break;
		case "contents_company_profile_page":
			return "cms_contents_company_profile_c.php";
			break;
		case "contents_menu_page":
			return "cms_contents_menu_c.php";
			break;
		case "contents_staff_page":
			return "cms_contents_staff_page_c.php";
			break;
		case "contents_title_free_page":
			return "cms_contents_title_free_page_c.php";
			break;
		case "contents_table_free_page":
			return "cms_contents_table_free_page_c.php";
			break;
		case "contents_shop_page":
			return "cms_contents_shop_page_c.php";
			break;
		default:
			return "cms_contents_page_none_c.php";
			break;
	}
}
/*****************************************************************************/
// function ：コンテンツタイトル用背景選択ページ部品
// $proc				：処理モード（add:追加、upd:更新）
// $loc_img_set			：背景セット用ページファイル
// $loc_color_no_input	：カラー番号入力用ページファイル
// $loc_title_adjust	：模様付き背景画像のタイトル位置調整用ページファイル
// $loc_title_img_input	：オリジナル画像入力用ページファイル
// $title_enc			：urlパラメータ用にencodeされたタイトル
/*****************************************************************************/
function title_back_sel($proc, $loc_img_set,  $loc_color_no_input, $loc_title_adjust, $loc_title_img_input, $title_enc) {
//ヒアドキュメントで記載
echo <<< EOM
<div id="p_title_back1">ベタ塗り（角角）</div>
<div id="p_title_back2">ベタ塗り（角丸）</div>
<div id="p_title_back4">オリジナル</div>
    <!--<br class="clear_both">-->
<div class="p_title_back1_area">
<div class="p_title_back1_area_title">「ベタ塗り（角角）」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br>　その他の色を使用する場合は[カラーコード入力]をクリックしてください。<br><br>
	<input type="button" value="ブラック" class="btn_black_kaku" onClick="location='{$loc_img_set}?title_img_no=101&amp;proc={$proc}'">
	<input type="button" value="ダークグレー" class="btn_dark_gray_kaku" onClick="location='{$loc_img_set}?title_img_no=102&amp;proc={$proc}'">
	<input type="button" value="グレー" class="btn_gray_kaku" onClick="location='{$loc_img_set}?title_img_no=103&amp;proc={$proc}'">
	<input type="button" value="ライトグレー" class="btn_light_gray_kaku" onClick="location='{$loc_img_set}?title_img_no=104&amp;proc={$proc}'">
	<input type="button" value="ダークネイビー" class="btn_dark_navy_kaku" onClick="location='{$loc_img_set}?title_img_no=105&amp;proc={$proc}'">
	<input type="button" value="ネイビー" class="btn_navy_kaku" onClick="location='{$loc_img_set}?title_img_no=106&amp;proc={$proc}'">
	<input type="button" value="ライトネイビー" class="btn_light_navy_kaku" onClick="location='{$loc_img_set}?title_img_no=107&amp;proc={$proc}'">
	<input type="button" value="ダークベージュ" class="btn_dark_beige_kaku" onClick="location='{$loc_img_set}?title_img_no=109&amp;proc={$proc}'">
    <br>
	　　<input type="button" value="ベージュ" class="btn_beige_kaku" onClick="location='{$loc_img_set}?title_img_no=110&amp;proc={$proc}'">
	<input type="button" value="ライトベージュ" class="btn_light_beige_kaku" onClick="location='{$loc_img_set}?title_img_no=111&amp;proc={$proc}'">
	<input type="button" value="（背景なし）" class="btn_white_kaku" onClick="location='{$loc_img_set}?title_img_no=0&amp;proc={$proc}'">
	<input type="button" value="ダークピンク" class="btn_dark_pink_kaku" onClick="location='{$loc_img_set}?title_img_no=114&amp;proc={$proc}'">
	<input type="button" value="ピンク" class="btn_pink_kaku" onClick="location='{$loc_img_set}?title_img_no=115&amp;proc={$proc}'">
	<input type="button" value="ライトピンク" class="btn_light_pink_kaku" onClick="location='{$loc_img_set}?title_img_no=116&amp;proc={$proc}'">
	<input type="button" value="レッド１" class="btn_red1_kaku" onClick="location='{$loc_img_set}?title_img_no=117&amp;proc={$proc}'">
	<input type="button" value="レッド２" class="btn_red2_kaku" onClick="location='{$loc_img_set}?title_img_no=118&amp;proc={$proc}'">
	<input type="button" value="レッド３" class="btn_red3_kaku" onClick="location='{$loc_img_set}?title_img_no=119&amp;proc={$proc}'">
	<input type="button" value="パステルグリーン" class="btn_p_green_kaku" onClick="location='{$loc_img_set}?title_img_no=120&amp;proc={$proc}'">
	<input type="button" value="カラーコード入力" onClick="location='{$loc_color_no_input}?title_img_no=998&amp;proc={$proc}'">
</div>

<div class="p_title_back2_area">
<div class="p_title_back2_area_title">「ベタ塗り（角丸）」の設定</div>
<br class="clear_both">
	　以下から色を選択（クリック）してください。確認ページが表示されます。<br>　その他の色を使用する場合は[カラーコード入力]をクリックしてください。<br><br>
	<input type="button" value="ブラック" class="btn_black" onClick="location='{$loc_img_set}?title_img_no=1&amp;proc={$proc}'">
	<input type="button" value="ダークグレー" class="btn_dark_gray" onClick="location='{$loc_img_set}?title_img_no=2&amp;proc={$proc}'">
	<input type="button" value="グレー" class="btn_gray" onClick="location='{$loc_img_set}?title_img_no=3&amp;proc={$proc}'">
	<input type="button" value="ライトグレー" class="btn_light_gray" onClick="location='{$loc_img_set}?title_img_no=4&amp;proc={$proc}'">
	<input type="button" value="ダークネイビー" class="btn_dark_navy" onClick="location='{$loc_img_set}?title_img_no=5&amp;proc={$proc}'">
	<input type="button" value="ネイビー" class="btn_navy" onClick="location='{$loc_img_set}?title_img_no=6&amp;proc={$proc}'">
	<input type="button" value="ライトネイビー" class="btn_light_navy" onClick="location='{$loc_img_set}?title_img_no=7&amp;proc={$proc}'">
	<input type="button" value="ダークベージュ" class="btn_dark_beige" onClick="location='{$loc_img_set}?title_img_no=9&amp;proc={$proc}'">
    <br>
	　　<input type="button" value="ベージュ" class="btn_beige" onClick="location='{$loc_img_set}?title_img_no=10&amp;proc={$proc}'">
	<input type="button" value="ライトベージュ" class="btn_light_beige" onClick="location='{$loc_img_set}?title_img_no=11&amp;proc={$proc}'">
	<input type="button" value="（背景なし）" class="btn_white" onClick="location='{$loc_img_set}?title_img_no=0&amp;proc={$proc}'">
	<input type="button" value="ダークピンク" class="btn_dark_pink" onClick="location='{$loc_img_set}?title_img_no=14&amp;proc={$proc}'">
	<input type="button" value="ピンク" class="btn_pink" onClick="location='{$loc_img_set}?title_img_no=15&amp;proc={$proc}'">
	<input type="button" value="ライトピンク" class="btn_light_pink" onClick="location='{$loc_img_set}?title_img_no=16&amp;proc={$proc}'">
	<input type="button" value="レッド１" class="btn_red1" onClick="location='{$loc_img_set}?title_img_no=17&amp;proc={$proc}'">
	<input type="button" value="レッド２" class="btn_red2" onClick="location='{$loc_img_set}?title_img_no=18&amp;proc={$proc}'">
	<input type="button" value="レッド３" class="btn_red3" onClick="location='{$loc_img_set}?title_img_no=19&amp;proc={$proc}'">
	<input type="button" value="パステルグリーン" class="btn_p_green" onClick="location='{$loc_img_set}?title_img_no=20&amp;proc={$proc}'">
	<input type="button" value="カラーコード入力" onClick="location='{$loc_color_no_input}?title_img_no=997&amp;proc={$proc}'">
</div>

<div class="p_title_back4_area">
<div class="p_title_back4_area_title">「オリジナル」の設定</div>
<br class="clear_both">
	　[ＰＣ上の画像を選択する]をクリックしてください。<br><br>
    　<input type="button" value="ＰＣ上の画像を選択する" onClick="location='{$loc_title_img_input}?title_img_no=999&amp;contents_title_enc={$title_enc}'">
</div>
EOM;
}
/******************************************************************************************/
// function 		：img_noの下2桁からカラー番号をセットする。
// $title_img_no	：DBに格納されている（システムで定義されている）img_no（１～１９９）
// $title_color		：16進のカラー番号（#なし）
// returm			：#付きカラー番号（またはカラーネーム）
/******************************************************************************************/
function color_set($title_img_no, $title_color) {
	if ($title_img_no < 200) {
		$img_no = $title_img_no%100;
		switch ($img_no) {		
				case 1:
					$color_name = "black";
					break;
				case 2:
					$color_name = "#333";
					break;
				case 3:
					$color_name = "#999";
					break;
				case 4:
					$color_name = "#CCC";
					break;
				case 5:
					$color_name = "#182234";
					break;
				case 6:
					$color_name = "#2D4975";
					break;
				case 7:
					$color_name = "#4A84B7";
					break;
				case 8:							// 設定なし
					$color_name = "white";
					break;
				case 9:
					$color_name = "#564A41";
					break;
				case 10:
					$color_name = "#736457";
					break;
				case 11:
					$color_name = "#BEAFA7";
					break;
				case 12:							// 設定なし
					$color_name = "white";
					break;
				case 13:							// 設定なし
					$color_name = "white";
					break;
				case 14:
					$color_name = "#411B20";
					break;
				case 15:
					$color_name = "#FF9D9F";
					break;
				case 16:
					$color_name = "#FFDFE0";
					break;
				case 17:
					$color_name = "#E81131";
					break;
				case 18:
					$color_name = "#EB221D";
					break;
				case 19:
					$color_name = "#F00";
					break;
				case 20:
					$color_name = "#7fffbf";
					break;
				default:
					$color_name = "white";
		}
	}else
	if ($title_img_no == "998" || $title_img_no == "997") {
		$color_name = "#".$title_color;
	}else{
		$color_name = "white";
	}
		
	return $color_name;
}
/******************************************************************************************/
// function 		：aタグを除去する。
// $contents		：aタグが含まれる記事内容
// returm			：aタグが除去された記事内容
/******************************************************************************************/
function atag_strip($contents) {
	$a_exist 	= true;
	$contents_s = $contents;
	$contents_w = NULL;
	$cnt		= 0;
	while ($a_exist) {
		$c_param1 	= explode('<a', $contents_s, 2);
		if ($c_param1[0] == $contents_s) $a_exist = false;
		$contents_w = $contents_w.$c_param1[0];
		$c_param2 	= explode('>', $c_param1[1], 2);
		$contents_s = $c_param2[1];
		$cnt = $cnt + 1;
		if ($cnt > 1000) break;
	}
	$contents_w = str_replace("</a>","",$contents_w);
	
	$a_exist 	= true;
	$contents_s = $contents_w;
	$contents_w = NULL;
	$cnt		= 0;
	while ($a_exist) {
		$c_param1 	= explode('<A', $contents_s, 2);
		if ($c_param1[0] == $contents_s) $a_exist = false;
		$contents_w = $contents_w.$c_param1[0];
		$c_param2 	= explode('>', $c_param1[1], 2);
		$contents_s = $c_param2[1];
		$cnt = $cnt + 1;
		if ($cnt > 1000) break;
	}
	$contents_w = str_replace("</A>","",$contents_w);
	
	return $contents_w;
}
/******************************************************************************************/
// function 		：PC、スマホの判定を行う。
// $user_agent		：$_SERVER['HTTP_USER_AGENT']の内容
// returm			：pc(パソコン）or sp（スマホ）
/******************************************************************************************/
function devcice($user_agent) {
	// スマホ、PC判定
	$ua = $user_agent;
	if ((strpos($ua,'iPhone')!==false)||(strpos($ua,'iPod')!==false)||(strpos($ua,'Android')!==false)){
		$dv = "sp";	// スマホ
	}else
	if (strpos($ua,'iPad')!==false) {
		$dv = "pc";	// PC扱い
	}else{
		$dv = "pc";	// PC
	}
	return $dv;
}
?>
