<?php
/********************************************************************************
 * FineLP - Content management system for landing page 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop006/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2019/08/30
 ********************************************************************************/
// データベースの初期設定(SQLite)
function init_sqlite_ipn() {
	// DB接続
	include 'function_parts_db_connect_ipn.php';
	
    // セクションＣＴＡ処理データが存在しない場合は、テーブルを作成
	$sql = "CREATE TABLE IF NOT EXISTS section_cta_proc_data_ipn (
				id 						INTEGER PRIMARY KEY AUTOINCREMENT,
				cta_proc_data_id		INTEGE,
				sales_volume			INTEGER,
				update_time 			TEXT NOT NULL
			)";
	$stmt = $connipn->prepare($sql);
	$stmt->execute();
	$sql = "CREATE INDEX IF NOT EXISTS idx1_section_cta_proc_data_ipn on section_cta_proc_data_ipn (cta_proc_data_id)";
	$stmt = $connipn->prepare($sql);
	$stmt->execute();
	
    // セクションＣＴＡ処理データが存在しない場合は、テーブルを作成
	$table_name = "section_cta_proc_result_data_ipn";	// テーブル名
	$dbh		= $connipn;			// データベースハンドラ
	include 'function_pdo_parts_create_section_cta_proc_result_data.php';
    return $connipn;
}
//セクションＣＴＡ処理データデータの追加
function insert_section_cta_proc_data_ipn($connipn, $cta_proc_data_id, $sales_volume) {
	$sql_tmp = "insert into section_cta_proc_data_ipn(cta_proc_data_id, sales_volume, update_time)
							values(:cta_proc_data_id, :sales_volume, :update_time)";
	$stmt = $connipn->prepare($sql_tmp);
	$stmt->bindParam(":cta_proc_data_id", $cta_proc_data_id);
	$stmt->bindParam(":sales_volume", $sales_volume);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connipn->lastInsertId();
	return $id;	
}

//セクションＣＴＡ処理結果データの追加				cta_btn_img_no				botton_name	

function insert_section_cta_proc_result_data_ipn($connipn, $cta_data_id, $cta_proc_data_id, $paypal_txn_type, $subscr_id, $txn_id, $cta_proc_no, $cta_btn_img_no, $botton_name, $sohu_address_title, $dsp_name, $name, $dsp_name_kana, $name_kana, 
								$dsp_yubin_no, $yubin_no, $dsp_todohuken, $todohuken, $dsp_city, $city, $dsp_areabanchi, $areabanchi, $dsp_tatemono, $tatemono, $dsp_e_mail, $e_mail, $dsp_tel_no, $tel_no, $dsp_seinengappi, $seinengappi, 
								$dsp_seibetu, $seibetu, $dsp_free1, $free1, $dsp_free2, $free2, $dsp_free3, $free3, $dsp_renraku, $renraku, $seikyu_address_title, $seikyu_dsp_kbn, $dsp_sname, $sname, $dsp_sname_kana, $sname_kana, 
								$dsp_syubin_no, $syubin_no, $dsp_stodohuken, $stodohuken, $dsp_scity, $scity, $dsp_sareabanchi, $sareabanchi, $dsp_statemono, $statemono, $dsp_se_mail, $se_mail, $dsp_stel_no, $stel_no,$item_service_name, 
								$item_code, $price, $price_name, $sales_volume_transaction, $stock_chk, $siharai_hoho, $muryo_kikan, $muryo_kikan_unit, $gaibu_url, $mail_sent_result, $toroku_day) {
	$sql_tmp = "insert into section_cta_proc_result_data_ipn(cta_data_id, cta_proc_data_id, paypal_txn_type, subscr_id, txn_id, cta_proc_no, cta_btn_img_no, botton_name, sohu_address_title, dsp_name, name, dsp_name_kana, name_kana, 
								dsp_yubin_no, yubin_no, dsp_todohuken, todohuken, dsp_city, city, dsp_areabanchi, areabanchi, dsp_tatemono, tatemono, dsp_e_mail, e_mail, dsp_tel_no, tel_no, dsp_seinengappi, seinengappi, 
								dsp_seibetu, seibetu, dsp_free1, free1, dsp_free2, free2, dsp_free3, free3, dsp_renraku, renraku, seikyu_address_title, seikyu_dsp_kbn, dsp_sname, sname, dsp_sname_kana, sname_kana, 
								dsp_syubin_no, syubin_no, dsp_stodohuken, stodohuken, dsp_scity, scity, dsp_sareabanchi, sareabanchi, dsp_statemono, statemono, dsp_se_mail, se_mail, dsp_stel_no, stel_no,item_service_name, 
								item_code, price, price_name, sales_volume_transaction, stock_chk, siharai_hoho, muryo_kikan, muryo_kikan_unit, gaibu_url, mail_sent_result, toroku_day, update_time)
							values(:cta_data_id, :cta_proc_data_id, :paypal_txn_type, :subscr_id, :txn_id, :cta_proc_no, :cta_btn_img_no, :botton_name, :sohu_address_title, :dsp_name, :name, :dsp_name_kana, :name_kana, 
								:dsp_yubin_no, :yubin_no, :dsp_todohuken, :todohuken, :dsp_city, :city, :dsp_areabanchi, :areabanchi, :dsp_tatemono, :tatemono, :dsp_e_mail, :e_mail, :dsp_tel_no, :tel_no, :dsp_seinengappi, :seinengappi, 
								:dsp_seibetu, :seibetu, :dsp_free1, :free1, :dsp_free2, :free2, :dsp_free3, :free3, :dsp_renraku, :renraku, :seikyu_address_title, :seikyu_dsp_kbn, :dsp_sname, :sname, :dsp_sname_kana, :sname_kana, 
								:dsp_syubin_no, :syubin_no, :dsp_stodohuken, :stodohuken, :dsp_scity, :scity, :dsp_sareabanchi, :sareabanchi, :dsp_statemono, :statemono, :dsp_se_mail, :se_mail, :dsp_stel_no, :stel_no,:item_service_name, 
								:item_code, :price, :price_name, :sales_volume_transaction, :stock_chk, :siharai_hoho, :muryo_kikan, :muryo_kikan_unit, :gaibu_url, :mail_sent_result, :toroku_day, :update_time)";
	$stmt = $connipn->prepare($sql_tmp);
	$stmt->bindParam(":cta_data_id", $cta_data_id);
	$stmt->bindParam(":cta_proc_data_id", $cta_proc_data_id);
	$stmt->bindParam(":paypal_txn_type", $paypal_txn_type);
	$stmt->bindParam(":subscr_id", $subscr_id);
	$stmt->bindParam(":txn_id", $txn_id);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":cta_btn_img_no", $cta_btn_img_no);
	$stmt->bindParam(":botton_name", $botton_name);
	$stmt->bindParam(":sohu_address_title", $sohu_address_title);
	$stmt->bindParam(":dsp_name", $dsp_name);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":dsp_name_kana", $dsp_name_kana);
	$stmt->bindParam(":name_kana", $name_kana);
	$stmt->bindParam(":dsp_yubin_no", $dsp_yubin_no);
	$stmt->bindParam(":yubin_no", $yubin_no);
	$stmt->bindParam(":dsp_todohuken", $dsp_todohuken);
	$stmt->bindParam(":todohuken", $todohuken);
	$stmt->bindParam(":dsp_city", $dsp_city);
	$stmt->bindParam(":city", $city);
	$stmt->bindParam(":dsp_areabanchi", $dsp_areabanchi);
	$stmt->bindParam(":areabanchi", $areabanchi);
	$stmt->bindParam(":dsp_tatemono", $dsp_tatemono);
	$stmt->bindParam(":tatemono", $tatemono);
	$stmt->bindParam(":dsp_e_mail", $dsp_e_mail);
	$stmt->bindParam(":e_mail", $e_mail);
	$stmt->bindParam(":dsp_tel_no", $dsp_tel_no);
	$stmt->bindParam(":tel_no", $tel_no);
	$stmt->bindParam(":dsp_seinengappi", $dsp_seinengappi);
	$stmt->bindParam(":seinengappi", $seinengappi);
	$stmt->bindParam(":dsp_seibetu", $dsp_seibetu);
	$stmt->bindParam(":seibetu", $seibetu);
	$stmt->bindParam(":dsp_free1", $dsp_free1);
	$stmt->bindParam(":free1", $free1);
	$stmt->bindParam(":dsp_free2", $dsp_free2);
	$stmt->bindParam(":free2", $free2);
	$stmt->bindParam(":dsp_free3", $dsp_free3);
	$stmt->bindParam(":free3", $free3);
	$stmt->bindParam(":dsp_renraku", $dsp_renraku);
	$stmt->bindParam(":renraku", $renraku);
	$stmt->bindParam(":seikyu_address_title", $seikyu_address_title);
	$stmt->bindParam(":seikyu_dsp_kbn", $seikyu_dsp_kbn);
	$stmt->bindParam(":dsp_sname", $dsp_sname);
	$stmt->bindParam(":sname", $sname);
	$stmt->bindParam(":dsp_sname_kana", $dsp_sname_kana);
	$stmt->bindParam(":sname_kana", $sname_kana);
	$stmt->bindParam(":dsp_syubin_no", $dsp_syubin_no);
	$stmt->bindParam(":syubin_no", $syubin_no);
	$stmt->bindParam(":dsp_stodohuken", $dsp_stodohuken);
	$stmt->bindParam(":stodohuken", $stodohuken);
	$stmt->bindParam(":dsp_scity", $dsp_scity);
	$stmt->bindParam(":scity", $scity);
	$stmt->bindParam(":dsp_sareabanchi", $dsp_sareabanchi);
	$stmt->bindParam(":sareabanchi", $sareabanchi);
	$stmt->bindParam(":dsp_statemono", $dsp_statemono);
	$stmt->bindParam(":statemono", $statemono);
	$stmt->bindParam(":dsp_se_mail", $dsp_se_mail);
	$stmt->bindParam(":se_mail", $se_mail);
	$stmt->bindParam(":dsp_stel_no", $dsp_stel_no);
	$stmt->bindParam(":stel_no", $stel_no);
	$stmt->bindParam(":item_service_name", $item_service_name);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":price_name", $price_name);
	$stmt->bindParam(":sales_volume_transaction", $sales_volume_transaction);
	$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":muryo_kikan", $muryo_kikan);
	$stmt->bindParam(":muryo_kikan_unit", $muryo_kikan_unit);
	$stmt->bindParam(":gaibu_url", $gaibu_url);
	$stmt->bindParam(":mail_sent_result", $mail_sent_result);
	$stmt->bindParam(":toroku_day", $toroku_day);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
	$id = $connipn->lastInsertId();
	return $id;	
}

//セクションＣＴＡ処理結果データの更新
function update_section_cta_proc_result_data_ipn($connipn, $id, $cta_data_id, $cta_proc_data_id, $paypal_txn_type, $subscr_id, $txn_id, $cta_proc_no, $cta_btn_img_no, $botton_name, $sohu_address_title, $dsp_name, $name, $dsp_name_kana, $name_kana, 
								$dsp_yubin_no, $yubin_no, $dsp_todohuken, $todohuken, $dsp_city, $city, $dsp_areabanchi, $areabanchi, $dsp_tatemono, $tatemono, $dsp_e_mail, $e_mail, $dsp_tel_no, $tel_no, $dsp_seinengappi, $seinengappi, 
								$dsp_seibetu, $seibetu, $dsp_free1, $free1, $dsp_free2, $free2, $dsp_free3, $free3, $dsp_renraku, $renraku, $seikyu_address_title, $seikyu_dsp_kbn, $dsp_sname, $sname, $dsp_sname_kana, $sname_kana, 
								$dsp_syubin_no, $syubin_no, $dsp_stodohuken, $stodohuken, $dsp_scity, $scity, $dsp_sareabanchi, $sareabanchi, $dsp_statemono, $statemono, $dsp_se_mail, $se_mail, $dsp_stel_no, $stel_no,$item_service_name, 
								$item_code, $price, $price_name, $sales_volume_transaction, $stock_chk, $siharai_hoho, $muryo_kikan, $muryo_kikan_unit, $gaibu_url, $mail_sent_result, $toroku_day) {
	$sql_tmp = "update section_cta_proc_result_data_ipn set 
					cta_data_id				= :cta_data_id,
					cta_proc_data_id		= :cta_proc_data_id,
					paypal_txn_type			= :paypal_txn_type,
					subscr_id				= :subscr_id,
					txn_id					= :txn_id,
					cta_proc_no				= :cta_proc_no,
					cta_btn_img_no			= :cta_btn_img_no,
					botton_name				= :botton_name,
					sohu_address_title		= :sohu_address_title,
					dsp_name				= :dsp_name,
					name					= :name,
					dsp_name_kana			= :dsp_name_kana,
					name_kana				= :name_kana,
					dsp_yubin_no			= :dsp_yubin_no,
					yubin_no				= :yubin_no,
					dsp_todohuken			= :dsp_todohuken,
					todohuken				= :todohuken,
					dsp_city				= :dsp_city,
					city					= :city,
					dsp_areabanchi			= :dsp_areabanchi,
					areabanchi				= :areabanchi,
					dsp_tatemono			= :dsp_tatemono,
					tatemono				= :tatemono,
					dsp_e_mail				= :dsp_e_mail,
					e_mail					= :e_mail,
					dsp_tel_no				= :dsp_tel_no,
					tel_no					= :tel_no,
					dsp_seinengappi			= :dsp_seinengappi,
					seinengappi				= :seinengappi,
					dsp_seibetu				= :dsp_seibetu,
					seibetu					= :seibetu,
					dsp_free1				= :dsp_free1,
					free1					= :free1,
					dsp_free2				= :dsp_free2,
					free2					= :free2,
					dsp_free3				= :dsp_free3,
					free3					= :free3,
					dsp_renraku				= :dsp_renraku,
					renraku					= :renraku,
					seikyu_address_title	= :seikyu_address_title,
					seikyu_dsp_kbn			= :seikyu_dsp_kbn,
					dsp_sname				= :dsp_sname,
					sname					= :sname,
					dsp_sname_kana			= :dsp_sname_kana,
					sname_kana				= :sname_kana,
					dsp_syubin_no			= :dsp_syubin_no,
					syubin_no				= :syubin_no,
					dsp_stodohuken			= :dsp_stodohuken,
					stodohuken				= :stodohuken,
					dsp_scity				= :dsp_scity,
					scity					= :scity,
					dsp_sareabanchi			= :dsp_sareabanchi,
					sareabanchi				= :sareabanchi,
					dsp_statemono			= :dsp_statemono,
					statemono				= :statemono,
					dsp_se_mail				= :dsp_se_mail,
					se_mail					= :se_mail,
					dsp_stel_no				= :dsp_stel_no,
					stel_no					= :stel_no,
					item_service_name		= :item_service_name,
					item_code				= :item_code,
					price					= :price,
					price_name				= :price_name,
					sales_volume_transaction	= :sales_volume_transaction,
					stock_chk				= :stock_chk,
					siharai_hoho			= :siharai_hoho,
					muryo_kikan				= :muryo_kikan,
					muryo_kikan_unit		= :muryo_kikan_unit,
					gaibu_url				= :gaibu_url,
					mail_sent_result		= :mail_sent_result,
					toroku_day				= :toroku_day,
					update_time 			= :update_time
					where id				= :id";
	$stmt = $connipn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->bindParam(":cta_data_id", $cta_data_id);
	$stmt->bindParam(":cta_proc_data_id", $cta_proc_data_id);
	$stmt->bindParam(":paypal_txn_type", $paypal_txn_type);
	$stmt->bindParam(":subscr_id", $subscr_id);
	$stmt->bindParam(":txn_id", $txn_id);
	$stmt->bindParam(":cta_proc_no", $cta_proc_no);
	$stmt->bindParam(":cta_btn_img_no", $cta_btn_img_no);
	$stmt->bindParam(":botton_name", $botton_name);
	$stmt->bindParam(":sohu_address_title", $sohu_address_title);
	$stmt->bindParam(":dsp_name", $dsp_name);
	$stmt->bindParam(":name", $name);
	$stmt->bindParam(":dsp_name_kana", $dsp_name_kana);
	$stmt->bindParam(":name_kana", $name_kana);
	$stmt->bindParam(":dsp_yubin_no", $dsp_yubin_no);
	$stmt->bindParam(":yubin_no", $yubin_no);
	$stmt->bindParam(":dsp_todohuken", $dsp_todohuken);
	$stmt->bindParam(":todohuken", $todohuken);
	$stmt->bindParam(":dsp_city", $dsp_city);
	$stmt->bindParam(":city", $city);
	$stmt->bindParam(":dsp_areabanchi", $dsp_areabanchi);
	$stmt->bindParam(":areabanchi", $areabanchi);
	$stmt->bindParam(":dsp_tatemono", $dsp_tatemono);
	$stmt->bindParam(":tatemono", $tatemono);
	$stmt->bindParam(":dsp_e_mail", $dsp_e_mail);
	$stmt->bindParam(":e_mail", $e_mail);
	$stmt->bindParam(":dsp_tel_no", $dsp_tel_no);
	$stmt->bindParam(":tel_no", $tel_no);
	$stmt->bindParam(":dsp_seinengappi", $dsp_seinengappi);
	$stmt->bindParam(":seinengappi", $seinengappi);
	$stmt->bindParam(":dsp_seibetu", $dsp_seibetu);
	$stmt->bindParam(":seibetu", $seibetu);
	$stmt->bindParam(":dsp_free1", $dsp_free1);
	$stmt->bindParam(":free1", $free1);
	$stmt->bindParam(":dsp_free2", $dsp_free2);
	$stmt->bindParam(":free2", $free2);
	$stmt->bindParam(":dsp_free3", $dsp_free3);
	$stmt->bindParam(":free3", $free3);
	$stmt->bindParam(":dsp_renraku", $dsp_renraku);
	$stmt->bindParam(":renraku", $renraku);
	$stmt->bindParam(":seikyu_address_title", $seikyu_address_title);
	$stmt->bindParam(":seikyu_dsp_kbn", $seikyu_dsp_kbn);
	$stmt->bindParam(":dsp_sname", $dsp_sname);
	$stmt->bindParam(":sname", $sname);
	$stmt->bindParam(":dsp_sname_kana", $dsp_sname_kana);
	$stmt->bindParam(":sname_kana", $sname_kana);
	$stmt->bindParam(":dsp_syubin_no", $dsp_syubin_no);
	$stmt->bindParam(":syubin_no", $syubin_no);
	$stmt->bindParam(":dsp_stodohuken", $dsp_stodohuken);
	$stmt->bindParam(":stodohuken", $stodohuken);
	$stmt->bindParam(":dsp_scity", $dsp_scity);
	$stmt->bindParam(":scity", $scity);
	$stmt->bindParam(":dsp_sareabanchi", $dsp_sareabanchi);
	$stmt->bindParam(":sareabanchi", $sareabanchi);
	$stmt->bindParam(":dsp_statemono", $dsp_statemono);
	$stmt->bindParam(":statemono", $statemono);
	$stmt->bindParam(":dsp_se_mail", $dsp_se_mail);
	$stmt->bindParam(":se_mail", $se_mail);
	$stmt->bindParam(":dsp_stel_no", $dsp_stel_no);
	$stmt->bindParam(":stel_no", $stel_no);
	$stmt->bindParam(":item_service_name", $item_service_name);
	$stmt->bindParam(":item_code", $item_code);
	$stmt->bindParam(":price", $price);
	$stmt->bindParam(":price_name", $price_name);
	$stmt->bindParam(":sales_volume_transaction", $sales_volume_transaction);
	$stmt->bindParam(":stock_chk", $stock_chk);
	$stmt->bindParam(":siharai_hoho", $siharai_hoho);
	$stmt->bindParam(":muryo_kikan", $muryo_kikan);
	$stmt->bindParam(":muryo_kikan_unit", $muryo_kikan_unit);
	$stmt->bindParam(":gaibu_url", $gaibu_url);
	$stmt->bindParam(":mail_sent_result", $mail_sent_result);
	$stmt->bindParam(":toroku_day", $toroku_day);
	//更新日時
	$time 			= time();
	$update_time 	= date('Y/m/d H:i:s', $time);
	$stmt->bindParam(":update_time", $update_time);
	$stmt->execute();
}
//指定データの削除（セクションＣＴＡ処理結果データ）（idで指定されたデータを削除）
function delete_section_cta_proc_result_data_ipn($connipn, $id) {
    $sql_tmp = 'DELETE FROM section_cta_proc_result_data_ipn WHERE (id = :id)';
	$stmt = $connipn->prepare($sql_tmp);
	$stmt->bindParam(":id", $id);
	$stmt->execute();
}
?>